REM
REM   $Id: bscksuv.bat 1.3 2003/08/05 20:30:50Z johnb Exp $
REM
REM   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
REM
REM   Copyright (c) 1993 - 2002 Datalight, Inc.
REM   All Rights Reserved
REM
REM   Datalight, Inc. is a Washington corporation with an address at
REM   21520 30TH DR SE MS110 Bothell, WA, 98021
REM   Tel: 800.221.6630  Fax: 425.951.8091
REM   Http://www.datalight.com
REM
REM   This software, including without limitation all source code and
REM   documentation, is the confidential, trade secret property of
REM   Datalight, Inc., and is protected under the copyright laws of
REM   the United States and other jurisdictions. Portions of the
REM   software may also be subject to one or more the following US
REM   patents: US#5860082, US#6260156.
REM
REM   In addition to civil penalties for infringement of copyright
REM   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
REM   penalties for violation of (a) the restrictions on circumvention
REM   of copyright protection systems found in 17 U.S.C. 1201 and
REM   (b) the protections for the integrity of copyright management
REM   information found in 17 U.S.C. 1202.
REM
REM   U.S. Government Restricted Rights. Use, duplication,
REM   reproduction, or transfer of this commercial product and
REM   accompanying documentation is restricted in accordance with
REM   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
REM
REM   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
REM   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
REM   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
REM   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
REM   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
REM   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
REM   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
REM   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
REM   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
REM   THIS SOFTWARE IN ERROR.
REM
@echo off
REM
REM  BSCKSUV.BAT
REM
REM  Copyright (c) 2000-2002 Datalight, Inc.
REM  All Rights Reserved.
REM  Datalight Confidential and Proprietary
REM
REM  History
REM  07/29/2003 jmb initial revision
REM


set bldlog=
if NOT "%buildlog%"=="" goto start
set buildlog=..\build.log
set bldlog=1

if exist %BCROOT%\LIB\NOEHC.LIB goto start
echo.
echo -------------- A L E R T ----------------------------------------
echo Sockets requires DEVTOOLS to build.
echo -----------------------------------------------------------------
echo.
echo.                                                                  >>%buildlog%
echo -------------- A L E R T ---------------------------------------- >>%buildlog%
echo Sockets requires DEVTOOLS to build.                               >>%buildlog%
echo ----------------------------------------------------------------- >>%buildlog%
echo.                                                                  >>%buildlog%
goto done

:start


REM Create the release tree directory
REM
if exist release\netaddon\nul deltree /y release\netaddon
if not exist release\nul md release

md release\netaddon
md release\netaddon\docs
md release\netaddon\sockets
md release\netaddon\sockets\clients
md release\netaddon\sockets\configs
md release\netaddon\sockets\server
md release\netaddon\sockets\utils


call setdeb release 32 suv

REM Build Libraries
REM 
echo Building Libraries >>%buildlog%
echo Building Libraries
cd sockets\capi
make -B >>%buildlog%
cd ..\..
cd sockets\bsdsock
make -B >>%buildlog%
cd ..\..

REM Build KERNEL
REM
echo Building Kernel... >>%buildlog%
echo Building Kernel...
cd sockets\kernel
make -B >>%buildlog%
cd ..\..
%DEBUGCMD%


REM Build SERVER
REM
echo Building Servers >>%buildlog%
echo Building Servers
cd sockets\server
make -B >>%buildlog%
cd ..\..
%DEBUGCMD%


REM Build CLIENTS
REM
echo Building Clients... >>%buildlog%
echo Building Clients...
REM ####
REM #### DEBUGGING CODE!!!!!
REM ####
cd sockets\clients >>%buildlog%
cd >>%buildlog%
make -B all >>%buildlog%
cd ..\.. >>%buildlog%
cd >>%buildlog%
%DEBUGCMD%


REM Build EXAMPLES
REM
echo Building Examples... >>%buildlog%
echo Building Examples...
cd sockets\examples
make -fexample -B >>%buildlog%
cd ..\..
%DEBUGCMD%


REM Build UTILS
REM
echo Building Utilities... >>%buildlog%
echo Building Utilities...
cd sockets\utils
make -B>>%buildlog%
cd ..\..
%DEBUGCMD%


REM Build ARPDIAG for the test suite
REM
echo Building ARPDIAG... >>%buildlog%
echo Building ARPDIAG...
cd sockets\utils\arpdiag
make -B -farpdiag.mak>>%buildlog%
cd ..\..\..
%DEBUGCMD%


REM
REM  Copy the files to the release tree
REM


REM root directory
REM
xcopy sockets\kernel\socketm\socketm.exe release\netaddon\sockets
xcopy sockets\kernel\socketp\socketp.exe release\netaddon\sockets
xcopy sockets\kernel\hosts release\netaddon\sockets
xcopy sockets\services\*.* release\netaddon\sockets
xcopy sockets\utils\sconfig\sconfig.exe release\netaddon\sockets


REM  SERVER directory
REM
xcopy sockets\server\*.exe      release\netaddon\sockets\server
xcopy sockets\server\*.jpg      release\netaddon\sockets\server
xcopy sockets\server\*.htm      release\netaddon\sockets\server
xcopy sockets\server\*.jar      release\netaddon\sockets\server
xcopy sockets\server\*.gif      release\netaddon\sockets\server
xcopy sockets\server\*.css      release\netaddon\sockets\server
xcopy sockets\server\htaccess.  release\netaddon\sockets\server
xcopy sockets\server\socket.upw release\netaddon\sockets\server
xcopy sockets\server\cgi.bat    release\netaddon\sockets\server
rem xcopy sockets\server\*.c        release\sockets\server
rem xcopy sockets\server\cgi.mak    release\sockets\server


REM UTILS directory
REM
xcopy sockets\utils\*.exe       release\netaddon\sockets\utils
if exist release\netaddon\sockets\utils\capidiag.exe del release\netaddon\sockets\utils\capidiag.exe
if exist release\netaddon\sockets\utils\sockdiag.exe del release\netaddon\sockets\utils\sockdiag.exe
if exist release\netaddon\sockets\utils\ftpapi.exe   del release\netaddon\sockets\utils\ftpapi.exe
if exist release\netaddon\sockets\utils\ftptest.exe  del release\netaddon\sockets\utils\ftptest.exe
if exist release\netaddon\sockets\utils\httpstat.exe del release\netaddon\sockets\utils\httpstat.exe
rem xcopy sockets\utils\*.c         release\sockets\utils
rem xcopy sockets\utils\utils.mak   release\sockets\utils
rem xcopy sockets\utils\utils.ms    release\sockets\utils
rem xcopy sockets\utils\capidiag.pt release\sockets\utils
rem xcopy sockets\utils\sockdiag.pt release\sockets\utils
rem xcopy sockets\utils\*.dj        release\sockets\utils
rem xcopy sockets\utils\*.lnk       release\sockets\utils


REM  EXAMPLES directory
REM
xcopy sockets\examples\*.exe release\netaddon\sockets\clients
rem xcopy sockets\examples release\sockets\examples


REM  CLIENTS directory
REM
xcopy sockets\clients\*.exe release\netaddon\sockets\clients
xcopy sockets\clients\*.com release\netaddon\sockets\clients
xcopy sockets\clients\*.scr release\netaddon\sockets\clients


REM  API directories
REM
rem xcopy sockets\capi\capi.c release\sockets\capi
rem xcopy sockets\capi\_capi.c release\sockets\capi
rem xcopy sockets\bsdsock\socket.c release\sockets\bsdsock


REM  CONFIGS directory
REM
xcopy sockets\configs\*.* release\netaddon\sockets\configs


REM  from the DOCS directory
REM
bin\verhdr /s >hdr.txt
copy hdr.txt+sockets\docs\sunaread.me readme.tmp
copy readme.tmp release\netaddon\read.me
del readme.tmp
copy docs\suna_guide.pdf release\netaddon\docs\suna_guide.pdf


REM  INCLUDE directory
REM
rem copy sockets\include\capi.h     release\sockets\include
rem copy sockets\include\compiler.h release\sockets\include
rem copy sockets\include\ftpapi.h   release\sockets\include
rem copy sockets\include\api.h      release\sockets\include
rem copy sockets\include\cgiadap.h  release\sockets\include
rem copy sockets\include\ssi.h      release\sockets\include
rem copy sockets\include\htapic.h   release\sockets\include
rem copy sockets\include\getch.h    release\sockets\include
rem copy sockets\include\arpapi.h   release\sockets\include
rem copy sockets\include\socket.h   release\sockets\include
rem copy sockets\include\ftpsig.h release\sockets\include

REM LIB directory
REM
rem copy sockets\lib\*.* release\sockets\lib


REM  ARPDIAG for testing
REM
copy sockets\utils\arpdiag\arpdiag.exe  testing\71


REM Update the file time to reflect the version
bin\sdkver 7.10 release\netaddon
bin\sdkver 7.10 release\netaddon\docs
bin\sdkver 7.10 release\netaddon\sockets
bin\sdkver 7.10 release\netaddon\sockets\server
bin\sdkver 7.10 release\netaddon\sockets\utils
bin\sdkver 7.10 release\netaddon\sockets\clients
bin\sdkver 7.10 release\netaddon\sockets\configs


:done
if "%bldlog%"=="1" set buildlog=
