//
//   $Id: COMMON.H 1.6 2002/10/15 20:31:58Z peterb Exp $
//
//   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
//
//   Copyright (c) 1993 - 2002 Datalight, Inc.
//   All Rights Reserved
//
//   Datalight, Inc. is a Washington corporation with an address at
//   21520 30TH DR SE MS110 Bothell, WA, 98021
//   Tel: 800.221.6630  Fax: 425.951.8091
//   Http://www.datalight.com
//
//   This software, including without limitation all source code and
//   documentation, is the confidential, trade secret property of
//   Datalight, Inc., and is protected under the copyright laws of
//   the United States and other jurisdictions. Portions of the
//   software may also be subject to one or more the following US
//   patents: US#5860082, US#6260156.
//
//   In addition to civil penalties for infringement of copyright
//   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
//   penalties for violation of (a) the restrictions on circumvention
//   of copyright protection systems found in 17 U.S.C. 1201 and
//   (b) the protections for the integrity of copyright management
//   information found in 17 U.S.C. 1202.
//
//   U.S. Government Restricted Rights. Use, duplication,
//   reproduction, or transfer of this commercial product and
//   accompanying documentation is restricted in accordance with
//   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
//
//   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
//   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
//   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
//   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
//   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
//   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
//   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
//   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
//   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
//   THIS SOFTWARE IN ERROR.
//
/************************************************************************
 *  Source   : COMMON.H
 *  Desc     : Provides common defines, types, and structures
 *  Notes    : None
 *
 *     Created: 12-03-96 PKG
 *     Updated: 12-04-96 PKG
 *
 *  Copyright (c) 1996-2002 Datalight, Inc.
 *  All rights reserved.
 *  Datalight Confidential and Proprietary
 ***********************************************************************/

/* Set to one to include full debug */
#define DEBUG 0
#define DEBUGTUPLE 0

#if DEBUG
#define ASSERT(x) { if(!(x)) _assert(__FILENUM__ * 0x1000 + __LINE__); }
#else
#define ASSERT(x)
#endif

#if DEBUG
#define ERROR() { _assert(__FILENUM__ * 0x1000 + __LINE__); }
#else
#define ERROR()
#endif

#define IODELAY(reps) { int count=reps; while(count--) inportb(0x80); }

#define DELAY_TIME 45

//#define FALSE 0
//#define TRUE !(FALSE)

//typedef unsigned bool;
//typedef unsigned char uchar;
typedef unsigned int uint;
typedef unsigned long ulong;

void _assert(unsigned);
void fmemmove(uchar far *, uchar far *, unsigned);
void fmemset(uchar far *, uchar, unsigned);
void internal_delay(unsigned ms);

void bputs(char *);
void bputc(char);
void bputh(unsigned);
unsigned atox(char far *);

/* memmove.asm */

extern PASCAL ata_put_sector(void far *, unsigned, unsigned);
extern PASCAL ata_get_sector(void far *, unsigned, unsigned);
