//
//   $Id: CDPUB.C 1.5 2002/10/15 20:34:18Z peterb Exp $
//
//   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
//
//   Copyright (c) 1993 - 2002 Datalight, Inc.
//   All Rights Reserved
//
//   Datalight, Inc. is a Washington corporation with an address at
//   21520 30TH DR SE MS110 Bothell, WA, 98021
//   Tel: 800.221.6630  Fax: 425.951.8091
//   Http://www.datalight.com
//
//   This software, including without limitation all source code and
//   documentation, is the confidential, trade secret property of
//   Datalight, Inc., and is protected under the copyright laws of
//   the United States and other jurisdictions. Portions of the
//   software may also be subject to one or more the following US
//   patents: US#5860082, US#6260156.
//
//   In addition to civil penalties for infringement of copyright
//   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
//   penalties for violation of (a) the restrictions on circumvention
//   of copyright protection systems found in 17 U.S.C. 1201 and
//   (b) the protections for the integrity of copyright management
//   information found in 17 U.S.C. 1202.
//
//   U.S. Government Restricted Rights. Use, duplication,
//   reproduction, or transfer of this commercial product and
//   accompanying documentation is restricted in accordance with
//   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
//
//   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
//   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
//   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
//   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
//   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
//   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
//   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
//   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
//   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
//   THIS SOFTWARE IN ERROR.
//
/*********************************************************
 *
 *  cd-pub.c  created mm/dd/yy  by Roy Sherrill
 *				updated 06/14/96  by John Burnham
 *
 *  Copyright (c) 1989-2002 Datalight, Inc.
 *  All Rights Reserved.
 *  Datalight Confidential and Proprietary
 *
 *	CD-PUB contains the general PUBLIC variables used by
 *	the CD-ROM Drive
 *
 *********************************************************/

#define __FILENUM__ 3				// for the ASSERT macro

#include "datalght.h"

#include "cdrom.h"
#include "cddos.h"
#include <dos.h>

struct LOL  far *lpListOfLists;	// List of List pointer
struct SDA5 far *lpSDA;			// DOS's Swappable Data Area Version 5.x
STACK far * lpDosStack;			// DOS Stack ptr SS:SP to 2F
uchar *pLocalStack;					// Pointer to stack area for 2F Stack

int in2FFlag = FALSE;				// Flag weither doing a 2F call
uchar far *lpSDAFileName1; 		// File Name array 1 in DOS's SDA
uchar far *lpSDAFileName2;		// File Name array 2 in DOS's SDA
void far *lpSDADTA;					// Value of DTA from DOS's SDA
struct SDB far *lpSDASDB;			// Pointer to the SDB in DOS's SDA
uchar sdaOpenMode;					// Open mode from DOS's SDA
uchar sdaSrchAttr;					// Search attribute for Find first/next call (SDA)
uchar sdaSDBDrive;					// Drive number from the SDB of the SDA
int maxOpenFiles;					// Maximum number of open files the system supports


