//
//   $Id: DOSERR.H 1.4 2002/10/15 20:34:18Z peterb Exp $
//
//   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
//
//   Copyright (c) 1993 - 2002 Datalight, Inc.
//   All Rights Reserved
//
//   Datalight, Inc. is a Washington corporation with an address at
//   21520 30TH DR SE MS110 Bothell, WA, 98021
//   Tel: 800.221.6630  Fax: 425.951.8091
//   Http://www.datalight.com
//
//   This software, including without limitation all source code and
//   documentation, is the confidential, trade secret property of
//   Datalight, Inc., and is protected under the copyright laws of
//   the United States and other jurisdictions. Portions of the
//   software may also be subject to one or more the following US
//   patents: US#5860082, US#6260156.
//
//   In addition to civil penalties for infringement of copyright
//   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
//   penalties for violation of (a) the restrictions on circumvention
//   of copyright protection systems found in 17 U.S.C. 1201 and
//   (b) the protections for the integrity of copyright management
//   information found in 17 U.S.C. 1202.
//
//   U.S. Government Restricted Rights. Use, duplication,
//   reproduction, or transfer of this commercial product and
//   accompanying documentation is restricted in accordance with
//   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
//
//   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
//   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
//   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
//   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
//   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
//   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
//   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
//   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
//   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
//   THIS SOFTWARE IN ERROR.
//
/*********************************************************
 *
 *  DOSERR.H			created 09/13/88  by Roy Sherrill
 *						updated 06/14/96	by John Burnham
 *
 *  Copyright (c) 1988-2002 Datalight, Inc.
 *  All Rights Reserved.
 *  Datalight Confidential and Proprietary
 *
 *  This file contains the standard DOS error numbers plus a
 *  couple of ROM-DOS specific errors.
 *
 *********************************************************/

#if !DOSERR
#define DOSERR 1

// ************************************************
//
//			General Defines
//
// ************************************************

//
// DOS errors
//
#define ERR_BADFUNC		1
#define ERR_NOTFOUND		2
#define ERR_NOTPATH		3
#define ERR_NOHANDLE		4
#define ERR_DENIED		5
#define ERR_BADHANDLE	6
#define ERR_BADMEMBLK	7
#define ERR_NOMEM			8
#define ERR_BADMEMSEG	9
#define ERR_INVLAID_ENV	10
#define ERR_INVALID_FMT	11
#define ERR_BADCODE		12
#define ERR_BADDATA		13
#define ERR_NOTDRIVE		15
#define ERR_CURDIR		16
#define ERR_NOT_SAME_DV	17
#define ERR_LASTFILE		18
#define ERR_NOTNEW		0x80		// file already exists call 5BH

#define ERR_NOTREADY 0x15
#define ERR_READFAULT 0x1E		//

#define ERR_RXENOTHERE	0xF0		// RXE is not in memory
#define ERR_RXESUM		0xF1		// RXE checksum in memory

#endif
