#  $Id: EXAMPLE1.MAK 1.1 2003/03/20 21:55:10Z thomd Exp $
#
#  *** DO NOT REMOVE THE FOLLOWING NOTICE ***
#
#  Copyright (c) 2003 Datalight, Inc.
#  All Rights Reserved
#
#  Datalight, Inc. is a Washington corporation located at:
#
#  21520 30th Dr SE, Suite 110,          Tel: +1.425.951.8086
#  Bothell, WA  98021                    Fax: +1.425.951.8094
#  USA                                   Http://www.datalight.com
#
#  This software, including without limitation all source code and
#  documentation, is the confidential, trade secret property of
#  Datalight, Inc., and is protected under the copyright laws of
#  the United States and other jurisdictions.  Portions of the
#  software may also be subject to one or more the following US
#  patents: US#5860082, US#6260156.
#
#  In addition to civil penalties for infringement of copyright
#  under applicable U.S. law, 17 U.S.C. 1204 provides criminal
#  penalties for violation of (a) the restrictions on circumvention
#  of copyright protection systems found in 17 U.S.C. 1201 and
#  (b) the protections for the integrity of copyright management
#  information found in 17 U.S.C. 1202.
#
#  U.S. Government Restricted Rights.  Use, duplication,
#  reproduction, or transfer of this commercial product and
#  accompanying documentation is restricted in accordance with
#  FAR 12.212 and DFARS 227.7202 and by a License Agreement.
#
#  IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
#  PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
#  AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
#  INC. AND THE LICENSEE ("BINDING AGREEMENT").  YOUR RIGHT, IF ANY,
#  TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
#  TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
#  USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
#  TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT.  CONTACT
#  DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
#  THIS SOFTWARE IN ERROR.
#
#

# BORLAND C++
# -----------
CC     = BCC
CFLAGS = -O -Z $(BC5CARGS) -I..\include
TMODEL = -mt    # TINY MODEL
SMODEL = -ms    # SMALL MODEL
CMODEL = -mc    # COMPACT (large data) MODEL
MMODEL = -mm    # MEDIUM MODEL
LMODEL = -ml    # LARGE MODEL
ASM    = $(TASM4)
AFLAGS = /Mx /m10 /I..\include
LINK   = TLINK
LFLAGS = $(BC5LARGS) /s
LIBT = $(NOEHC) CS ..\LIB\DLS
LIBS = $(NOEHC) CS ..\LIB\DLS
LIBC = $(NOEHC) CC ..\LIB\DLC
LIBM = $(NOEHC) CM ..\LIB\DLM
LIBL = $(NOEHC) CL ..\LIB\DLL

release : example1.exe


# ----------------
#  GENERIC RULES
# ----------------
.obj.exe :
   $(LINK) $(LFLAGS) c0s $*.obj,$*,$*,$(LIBS)

.c.obj :
   $(CC) $(SMODEL) -c $(CFLAGS) $*.c

.asm.obj :
   $(ASM) $(AFLAGS) $<;

clean :
   @if exist x.y del x.y
   @if exist *.pt del *.pt
   @if exist *.obj del *.obj
   @if exist *.map del *.map
   @if exist *.hex del *.hex
   @if exist *.sym del *.sym
   @if exist *.out del *.out
   @if exist *.loc del *.loc
   @if exist *.lst del *.lst
   @if exist *.map del *.map
   @if exist *.img del *.img
   @if exist *.xrf del *.xrf
   @if exist *.tr  del *.tr
   @if exist build.log del build.log

cleanall : clean
   @if exist status.me del status.me
   @if exist *.exe del *.exe
   @if exist *.com del *.com
