//
//   $Id: _PRINTF.H 1.3 2002/10/15 21:41:22Z peterb Exp $
//
//   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
//
//   Copyright (c) 1993 - 2002 Datalight, Inc.
//   All Rights Reserved
//
//   Datalight, Inc. is a Washington corporation with an address at
//   21520 30TH DR SE MS110 Bothell, WA, 98021
//   Tel: 800.221.6630  Fax: 425.951.8091
//   Http://www.datalight.com
//
//   This software, including without limitation all source code and
//   documentation, is the confidential, trade secret property of
//   Datalight, Inc., and is protected under the copyright laws of
//   the United States and other jurisdictions. Portions of the
//   software may also be subject to one or more the following US
//   patents: US#5860082, US#6260156.
//
//   In addition to civil penalties for infringement of copyright
//   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
//   penalties for violation of (a) the restrictions on circumvention
//   of copyright protection systems found in 17 U.S.C. 1201 and
//   (b) the protections for the integrity of copyright management
//   information found in 17 U.S.C. 1202.
//
//   U.S. Government Restricted Rights. Use, duplication,
//   reproduction, or transfer of this commercial product and
//   accompanying documentation is restricted in accordance with
//   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
//
//   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
//   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
//   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
//   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
//   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
//   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
//   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
//   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
//   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
//   THIS SOFTWARE IN ERROR.
//


//
//  Default build options
//
// -------------------------------------------------------------------------

#ifndef SPRINTF
#define SPRINTF	TRUE
#endif

// -------------------------------------------------------------------------



void PASCAL ReverseStr(char *szStr, int iSize);
void PASCAL QuadToAscii(uquad *pQuad, char *szOutStr, int iRadix);
void _xultoa(ulong ulValue, char *szOutStr, int iRadix);
char * itoa(int value, char *pStr, int radix);
char * ltoa(long value, char *pStr, int radix);
char * ultoa(unsigned long value, char *pStr, int radix);
void _PutStringWithFill(char *pStr);
void _putc(char c);
void _puts(char *s);


#define IsDigit(c) ((c) >= '0' && (c) <= '9')


// where does the printf end up?  Handle 1 is stdout which can be
// redirected from the cmdline.  Handle 2 is stderr, which can't.
#define STDOUT 1
#define STDERR 2


extern char printf_hex[];
extern int printfHandle;
extern char * printf_pUserBuffer;
extern char printf_buffer[];
extern int printf_position;
extern unsigned printf_buffer_size;
extern char printf_sep;								// fill number separator
extern int printfHandle;

extern char printf_fill;		// fill character
extern int	printf_count;	// fill count
extern char printf_left;		// fill alignment
