//
//   $Id: FARDOS.H 1.7 2002/10/15 21:44:46Z peterb Exp $
//
//   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
//
//   Copyright (c) 1993 - 2002 Datalight, Inc.
//   All Rights Reserved
//
//   Datalight, Inc. is a Washington corporation with an address at
//   21520 30TH DR SE MS110 Bothell, WA, 98021
//   Tel: 800.221.6630  Fax: 425.951.8091
//   Http://www.datalight.com
//
//   This software, including without limitation all source code and
//   documentation, is the confidential, trade secret property of
//   Datalight, Inc., and is protected under the copyright laws of
//   the United States and other jurisdictions. Portions of the
//   software may also be subject to one or more the following US
//   patents: US#5860082, US#6260156.
//
//   In addition to civil penalties for infringement of copyright
//   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
//   penalties for violation of (a) the restrictions on circumvention
//   of copyright protection systems found in 17 U.S.C. 1201 and
//   (b) the protections for the integrity of copyright management
//   information found in 17 U.S.C. 1202.
//
//   U.S. Government Restricted Rights. Use, duplication,
//   reproduction, or transfer of this commercial product and
//   accompanying documentation is restricted in accordance with
//   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
//
//   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
//   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
//   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
//   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
//   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
//   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
//   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
//   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
//   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
//   THIS SOFTWARE IN ERROR.
//
//
//  FARDOS.H
//
//  Copyright (c) 1999-2002 Datalight, Inc.
//  All Rights Reserved.
//  Datalight Confidential and Proprietary
//

#if DEBUG
#define ASSERT(e) if(!(e)) KRN_ASSERT(__FILENUM__, __LINE__)
#define ABORT() KRN_ASSERT(__FILENUM__, __LINE__)
#else
#define _ASSERT(e)		// compiled out
#define _ABORT()		// compiled out
#endif


#if 0

#define STRCHR(a,b) strchr(a,b)
#define TOUPPER(a) toupper(a)
#define STRLEN(a) strlen(a)
#define XITOA(a,b,c) xitoa(a,b,c)
#define MEMMOVE(a,b,c) memmove(a,b,c)
#define ATOI(a) atoi(a)
#define STRCAT(a,b) strcat(a,b)
#define GET_FAT_ENTRY(a) get_fat_entry(a)
#define GET_NEW_CLUSTERS(a,b) get_new_clusters(a,b)
#define ZERO_CLUSTER(a) zero_cluster(a)
#define LCLUS_TO_PCLUS(a,b) lclus_to_pclus(a,b)
#define CLUS_TO_SEC(a) clus_to_sec(a)
#define BUF_GETSECTOR(a) buf_getsector(a)
#define FMEMCPY(a,b,c) fmemcpy(a,b,c)
#define ENAME_TO_DOT(a,b) ename_to_dot(a,b)
#define DOT_TO_ENAME(a,b,c) dot_to_ename(a,b,c)
#define NAME_MATCH(a,b) name_match(a,b)
#define DRIVE_TO_SDA(a) drive_to_sda(a)
#define DEFDRIVE_TO_SDA(a) defdrive_to_sda(a)
#define FSTRLEN(a) fstrlen(a)
#define LASTCHAR(a) lastchar(a)
#define IS_LEAD_BYTE(a) is_lead_byte(a)
#define CHANGE_OF_DISK() change_of_disk()
#define BUF_SET_MODIFIED(a) buf_set_modified(a)
#define MEMSET(a,b,c) memset(a,b,c)
#define GET_FILEDATE() get_filedate()
#define CHANGE_TO_ROOT() change_to_root()
#define FREE_THE_FAT(a) free_the_fat(a)
#define BUF_FLUSH_ALL() buf_flush_all()
#define ALLOC_NEXT_FREE() alloc_next_free()
#define SET_FAT_ENTRY(a,b) set_fat_entry(a,b)
#define GET_NEW_SFT() get_new_sft()
#define GET_NEW_HANDLE() get_new_handle()
#define SET_HANDLE_VAL(a,b) set_handle_val(a,b)
#define H_TO_SFT(a) h_to_sft(a)
#define NAME_CHANGE(a,b) name_change(a,b)
#define STRUPR(a) strupr(a)
#define HANDLE_TO_SDA(a) handle_to_sda(a)
#define DEV_CALL(a,b) dev_call(a,b)
#define MEM_Z_ALLOC(a,b) mem_z_alloc(a,b)
#define GET_CALL_FLAGS() get_call_flags()
#define FCB_TO_SDA() fcb_to_sda()
#define KRN_ASSERT(a,b) krn_assert(a,b)
#define ATTR_MATCH(a,b) attr_match(a,b)
#define _LMULU(a,b) _lmulu(a,b)
#define _LDIVU(a,b) _ldivu(a,b)
#define LEAP_YEAR(a) leapyear(a)
#define FIND_DEVICE(a) find_device(a)
#define FMEMSET(a,b,c) fmemset(a,b,c)
#define DEV_TO_SFT() dev_to_sft()
#define DEV_OPENCLOSE(a) dev_openclose(a)

#else

//  Typedefs for pascal function calls
//
typedef void      (PASCAL far * PDOSFUNCPTR0)(unsigned);
typedef char *    (PASCAL far * PDOSFUNCPTR1)(char *,char,unsigned);
typedef uchar     (PASCAL far * PDOSFUNCPTR2)(uchar,unsigned);
typedef int       (PASCAL far * PDOSFUNCPTR3)(char *,unsigned);
typedef void      (PASCAL far * PDOSFUNCPTR4)(void *,void *,unsigned,unsigned);
typedef void      (PASCAL far * PDOSFUNCPTR5)(char *,char *,unsigned);
typedef CLUSTER   (PASCAL far * PDOSFUNCPTR6)(CLUSTER,unsigned);
typedef CLUSTER   (PASCAL far * PDOSFUNCPTR7)(CLUSTER *,NCLUSTER,unsigned);
typedef LPBUFLIST (PASCAL far * PDOSFUNCPTR8)(ulong,unsigned);
typedef void      (PASCAL far * PDOSFUNCPTR9)(void far *,void far *,unsigned,unsigned);
typedef int       (PASCAL far * PDOSFUNCPTR10)(char *,char far *,bool,unsigned);
typedef int       (PASCAL far * PDOSFUNCPTR11)(char far *,unsigned);
typedef void      (PASCAL far * PDOSFUNCPTR12)(LPBUFLIST,unsigned);
typedef void      (PASCAL far * PDOSFUNCPTR13)(void *,uchar,unsigned,unsigned);
typedef void      (PASCAL far * PDOSFUNCPTR14)(CLUSTER,CLUSTER,unsigned);
typedef unsigned  (PASCAL far * PDOSFUNCPTR15)(uchar,uchar,unsigned);
typedef LPSFT     (PASCAL far * PDOSFUNCPTR16)(int,unsigned);
typedef bool      (PASCAL far * PDOSFUNCPTR17)(unsigned,unsigned);
typedef unsigned  (PASCAL far * PDOSFUNCPTR18)(unsigned,char,unsigned);
typedef void      (PASCAL far * PDOSFUNCPTR19)(CLUSTER,unsigned);
typedef long      (PASCAL far * PDOSFUNCPTR20)(CLUSTER,unsigned);
typedef bool      (PASCAL far * PDOSFUNCPTR21)(char *,char *,unsigned);
typedef bool      (PASCAL far * PDOSFUNCPTR22)(uchar,unsigned);
typedef int       (PASCAL far * PDOSFUNCPTR23)(uchar,unsigned);
typedef bool      (PASCAL far * PDOSFUNCPTR24)(unsigned);
typedef CLUSTER   (PASCAL far * PDOSFUNCPTR25)(unsigned);
typedef unsigned  (PASCAL far * PDOSFUNCPTR26)(unsigned);
typedef void      (PASCAL far * PDOSFUNCPTR27)(char *,unsigned);
typedef void      (PASCAL far * PDOSFUNCPTR28)(unsigned,unsigned,unsigned);
typedef CLUSTER   (PASCAL far * PDOSFUNCPTR29)(CLUSTER,NCLUSTER *,unsigned);
typedef bool      (PASCAL far * PDOSFUNCPTR30)(uchar,uchar,unsigned);
typedef ulong     (PASCAL far * PDOSFUNCPTR31)(ulong,unsigned,unsigned);
typedef bool      (PASCAL far * PDOSFUNCPTR32)(char *,unsigned);
typedef void      (PASCAL far * PDOSFUNCPTR33)(void far *,uchar,unsigned,unsigned);
typedef bool      (PASCAL far * PDOSFUNCPTR34)(char far *,char far *,unsigned);

//  Typedefs for c function calls
//
typedef void     (far * CDOSFUNCPTR0)(unsigned);
typedef void     (far * CDOSFUNCPTR1)(unsigned,char *,unsigned,int);
typedef void     (far * CDOSFUNCPTR2)(unsigned,struct dev_req_hdr *,LPDEV_HDR);
typedef ulong    (far * CDOSFUNCPTR3)(unsigned);
typedef bool     (far * CDOSFUNCPTR4)(unsigned);
typedef unsigned (far * CDOSFUNCPTR5)(unsigned);
typedef int      (far * CDOSFUNCPTR6)(unsigned,char *);
typedef CLUSTER  (far * CDOSFUNCPTR7)(unsigned);
typedef bool     (far * CDOSFUNCPTR8)(unsigned,unsigned);
typedef void     (far * CDOSFUNCPTR9)(unsigned,bool);

//  Constants (indexes) for functions
//

#define _XITOA					0
#define _GET_FILEDATE		2
#define _CHANGE_TO_ROOT		4
#define _GET_NEW_SFT			6
#define _GET_NEW_HANDLE		8
#define _DEV_CALL				10
#define _FCB_TO_SDA			12
#define _LASTCHAR				14
#define _CHANGE_OF_DISK		16
#define _ALLOC_NEXT_FREE	18
#define _LEAP_YEAR			20
#define _DEV_TO_SFT  		22
#define _DEV_OPENCLOSE		24

#define _STRCHR				26
#define _TOUPPER				28
#define _STRLEN				30
#define _MEMMOVE				32
#define _ATOI					34
#define _STRCAT				36
#define _GET_FAT_ENTRY		38
#define _GET_NEW_CLUSTERS  40
#define _ZERO_CLUSTER		42
#define _LCLUS_TO_PCLUS		44
#define _CLUS_TO_SEC			46
#define _BUF_GETSECTOR		48
#define _FMEMCPY				50
#define _ENAME_TO_DOT		52
#define _DOT_TO_ENAME		54
#define _DRIVE_TO_SDA		56
#define _DEFDRIVE_TO_SDA	58
#define _FSTRLEN				60
#define _IS_LEAD_BYTE		62
#define _BUF_SET_MODIFIED	64
#define _MEMSET				66
#define _FREE_THE_FAT		68
#define _BUF_FLUSH_ALL		70
#define _SET_FAT_ENTRY		72
#define _SET_HANDLE_VAL		74
#define _H_TO_SFT				76
#define _NAME_CHANGE			78
#define _STRUPR				80
#define _HANDLE_TO_SDA		82
#define _MEM_Z_ALLOC			84
#define _GET_CALL_FLAGS		86
#define _KRN_ASSERT			88
#define _NAME_MATCH			90
#define _ATTR_MATCH			92
#define __LMULU				94
#define __LDIVU				96
#define _FIND_DEVICE			98
#define __FMEMSET				100

#define STRCHR(a,b) ((PDOSFUNCPTR1)fpFarDOSCall)( a,b,_STRCHR )
#define TOUPPER(a) ((PDOSFUNCPTR2)fpFarDOSCall)( a,_TOUPPER )
#define STRLEN(a) ((PDOSFUNCPTR3)fpFarDOSCall)( a,_STRLEN )
#define XITOA(a,b,c) ((CDOSFUNCPTR1)fpFarDOSCall)( _XITOA,a,b,c )
#define MEMMOVE(a,b,c) ((PDOSFUNCPTR4)fpFarDOSCall)( a,b,c,_MEMMOVE )
#define ATOI(a) ((PDOSFUNCPTR3)fpFarDOSCall)( a,_ATOI )
#define STRCAT(a,b) ((PDOSFUNCPTR5)fpFarDOSCall)( a,b,_STRCAT )
#define GET_FAT_ENTRY(a) ((PDOSFUNCPTR6)fpFarDOSCall)( a,_GET_FAT_ENTRY )
#define GET_NEW_CLUSTERS(a,b) ((PDOSFUNCPTR7)fpFarDOSCall)( a,b,_GET_NEW_CLUSTERS )
#define ZERO_CLUSTER(a) ((PDOSFUNCPTR19)fpFarDOSCall)( a,_ZERO_CLUSTER )
#define LCLUS_TO_PCLUS(a,b) ((PDOSFUNCPTR29)fpFarDOSCall)( a,b,_LCLUS_TO_PCLUS )
#define CLUS_TO_SEC(a) ((PDOSFUNCPTR20)fpFarDOSCall)( a,_CLUS_TO_SEC )
#define BUF_GETSECTOR(a) ((PDOSFUNCPTR8)fpFarDOSCall)( a,_BUF_GETSECTOR )
#define FMEMCPY(a,b,c) ((PDOSFUNCPTR9)fpFarDOSCall)( a,b,c,_FMEMCPY )
#define ENAME_TO_DOT(a,b) ((PDOSFUNCPTR5)fpFarDOSCall)( a,b,_ENAME_TO_DOT )
#define DOT_TO_ENAME(a,b,c) ((PDOSFUNCPTR10)fpFarDOSCall)( a,b,c,_DOT_TO_ENAME )
#define NAME_MATCH(a,b) ((PDOSFUNCPTR34)fpFarDOSCall)( a,b,_NAME_MATCH )
#define DRIVE_TO_SDA(a) ((PDOSFUNCPTR22)fpFarDOSCall)( a,_DRIVE_TO_SDA )
#define DEFDRIVE_TO_SDA(a) ((PDOSFUNCPTR22)fpFarDOSCall)( a,_DEFDRIVE_TO_SDA )
#define FSTRLEN(a) ((PDOSFUNCPTR11)fpFarDOSCall)( a,_FSTRLEN )
#define LASTCHAR(a) ((CDOSFUNCPTR6)fpFarDOSCall)( _LASTCHAR,a )
#define IS_LEAD_BYTE(a) ((PDOSFUNCPTR23)fpFarDOSCall)( a,_IS_LEAD_BYTE )
#define CHANGE_OF_DISK() ((CDOSFUNCPTR4)fpFarDOSCall)( _CHANGE_OF_DISK )
#define BUF_SET_MODIFIED(a) ((PDOSFUNCPTR12)fpFarDOSCall)( a,_BUF_SET_MODIFIED )
#define MEMSET(a,b,c) ((PDOSFUNCPTR13)fpFarDOSCall)( a,b,c,_MEMSET )
#define GET_FILEDATE() ((CDOSFUNCPTR3)fpFarDOSCall)( _GET_FILEDATE )
#define CHANGE_TO_ROOT() ((CDOSFUNCPTR0)fpFarDOSCall)( _CHANGE_TO_ROOT )
#define FREE_THE_FAT(a) ((PDOSFUNCPTR19)fpFarDOSCall)( a,_FREE_THE_FAT )
#define BUF_FLUSH_ALL() ((PDOSFUNCPTR0)fpFarDOSCall)( _BUF_FLUSH_ALL )
#define ALLOC_NEXT_FREE() ((CDOSFUNCPTR7)fpFarDOSCall)( _ALLOC_NEXT_FREE )
#define SET_FAT_ENTRY(a,b) ((PDOSFUNCPTR14)fpFarDOSCall)( a,b,_SET_FAT_ENTRY )
#define GET_NEW_SFT() ((CDOSFUNCPTR4)fpFarDOSCall)( _GET_NEW_SFT )
#define GET_NEW_HANDLE() ((CDOSFUNCPTR5)fpFarDOSCall)( _GET_NEW_HANDLE )
#define SET_HANDLE_VAL(a,b) ((PDOSFUNCPTR15)fpFarDOSCall)( a,b,_SET_HANDLE_VAL )
#define H_TO_SFT(a) ((PDOSFUNCPTR16)fpFarDOSCall)( a,_H_TO_SFT )
#define NAME_CHANGE(a,b) ((PDOSFUNCPTR5)fpFarDOSCall)( a,b,_NAME_CHANGE )
#define STRUPR(a) ((PDOSFUNCPTR27)fpFarDOSCall)( a,_STRUPR )
#define HANDLE_TO_SDA(a) ((PDOSFUNCPTR17)fpFarDOSCall)( a,_HANDLE_TO_SDA )
#define DEV_CALL(a,b) ((CDOSFUNCPTR2)fpFarDOSCall)( _DEV_CALL,a,b )
#define MEM_Z_ALLOC(a,b) ((PDOSFUNCPTR18)fpFarDOSCall)( a,b,_MEM_Z_ALLOC )
#define GET_CALL_FLAGS() ((PDOSFUNCPTR0)fpFarDOSCall)( _GET_CALL_FLAGS )
#define FCB_TO_SDA() ((CDOSFUNCPTR0)fpFarDOSCall)( _FCB_TO_SDA )
#define KRN_ASSERT(a,b) ((PDOSFUNCPTR28)fpFarDOSCall)( _KRN_ASSERT )
#define ATTR_MATCH(a,b) ((PDOSFUNCPTR30)fpFarDOSCall)( a,b,_ATTR_MATCH )
#define _LMULU(a,b) ((PDOSFUNCPTR31)fpFarDOSCall)( a,b,__LMULU )
#define _LDIVU(a,b) ((PDOSFUNCPTR31)fpFarDOSCall)( a,b,__LDIVU )
#define LEAP_YEAR(a) ((CDOSFUNCPTR8)fpFarDOSCall)( _LEAP_YEAR, a)
#define FIND_DEVICE(a) ((PDOSFUNCPTR32)fpFarDOSCall)( a,_FIND_DEVICE )
#define _FMEMSET(a,b,c) ((PDOSFUNCPTR33)fpFarDOSCall)( a,b,c,__FMEMSET )
#define DEV_TO_SFT() ((CDOSFUNCPTR0)fpFarDOSCall)( _DEV_TO_SFT )
#define DEV_OPENCLOSE(a) ((CDOSFUNCPTR9)fpFarDOSCall)( _DEV_OPENCLOSE, a)

#endif
