;
;   $Id: EMSF4E00.ASM 1.4 2002/10/15 22:47:08Z peterb Exp $
;
;   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
;
;   Copyright (c) 1993 - 2002 Datalight, Inc.
;   All Rights Reserved
;
;   Datalight, Inc. is a Washington corporation with an address at
;   21520 30TH DR SE MS110 Bothell, WA, 98021
;   Tel: 800.221.6630  Fax: 425.951.8091
;   Http://www.datalight.com
;
;   This software, including without limitation all source code and
;   documentation, is the confidential, trade secret property of
;   Datalight, Inc., and is protected under the copyright laws of
;   the United States and other jurisdictions. Portions of the
;   software may also be subject to one or more the following US
;   patents: US#5860082, US#6260156.
;
;   In addition to civil penalties for infringement of copyright
;   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
;   penalties for violation of (a) the restrictions on circumvention
;   of copyright protection systems found in 17 U.S.C. 1201 and
;   (b) the protections for the integrity of copyright management
;   information found in 17 U.S.C. 1202.
;
;   U.S. Government Restricted Rights. Use, duplication,
;   reproduction, or transfer of this commercial product and
;   accompanying documentation is restricted in accordance with
;   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
;
;   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
;   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
;   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
;   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
;   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
;   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
;   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
;   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
;   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
;   THIS SOFTWARE IN ERROR.
;
comment ~

EMSLIBx -- Low level LIM 4.0 EMS function library source module
Created 10-25-97 by Dennis Edwards
This module implements the function (DLEMSLIB.H):

int GetEMSContext(EMS_CONTEXT_STRUCT far *lpOldEMSContext);

Copyright (c) 1997-2002 Datalight, Inc.
All Rights Reserved.
Datalight Confidential and Proprietary

end_comment ~
;
; use the /i switch on the assembler command line to specify
; the include path if these files are not in the current dir
;
include datalght.inc

; MEMMODEL is assumed to be defined using a /D argument on the
; assembler command line.
;
; Establish segment model, calling conventions, etc.
;
InitModel %MEMMODEL, pascal, use16


; internal include module for EMSLIBx.LIB
;
include _emslib.inc


.Code
if @DataSize
	assume	cs:@curseg, ds:nothing, es:nothing, ss:nothing
else
	assume	cs:@curseg, ds:@data, es:nothing, ss:nothing
endif


comment ~
int GetEMSContext(EMS_CONTEXT_STRUCT far *lpOldEMSContext);
end_comment ~
ProcBegin	GetEMSContext,public
ProcUses	es,di
ProcArgs	@@lpOldEMSContext:dword
ProcSetup

	mov	AX, EMS_GET_PAGE_MAP_FCN
	les	DI, @@lpOldEMSContext
	int	EMS_INT

    @@done:
	RETURN_EMS_STATUS
ProcEnd

	end
