;
;   $Id: LFNWILD.ASM 1.4 2002/10/15 22:55:14Z peterb Exp $
;
;   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
;
;   Copyright (c) 1993 - 2002 Datalight, Inc.
;   All Rights Reserved
;
;   Datalight, Inc. is a Washington corporation with an address at
;   21520 30TH DR SE MS110 Bothell, WA, 98021
;   Tel: 800.221.6630  Fax: 425.951.8091
;   Http://www.datalight.com
;
;   This software, including without limitation all source code and
;   documentation, is the confidential, trade secret property of
;   Datalight, Inc., and is protected under the copyright laws of
;   the United States and other jurisdictions. Portions of the
;   software may also be subject to one or more the following US
;   patents: US#5860082, US#6260156.
;
;   In addition to civil penalties for infringement of copyright
;   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
;   penalties for violation of (a) the restrictions on circumvention
;   of copyright protection systems found in 17 U.S.C. 1201 and
;   (b) the protections for the integrity of copyright management
;   information found in 17 U.S.C. 1202.
;
;   U.S. Government Restricted Rights. Use, duplication,
;   reproduction, or transfer of this commercial product and
;   accompanying documentation is restricted in accordance with
;   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
;
;   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
;   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
;   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
;   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
;   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
;   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
;   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
;   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
;   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
;   THIS SOFTWARE IN ERROR.
;
;--------------------------------------------------------------------
; $DOCMODULE:LFNWILD.ASM
;
; Copyright (c) 1999-2002 Datalight, Inc.
; All Rights Reserved.
; Datalight Confidential and Proprietary.
;
; This module allows wildcard renames through Long Filename Int 21h
; fn 5Dh, the backdoor call.
;
; bool PASCAL LFNWildcardRename(char szOldName[], char szNewName[]);
;
; $DOCHISTORY
; 02/26/1999 dg  Created by Drew Gislason
;--------------------------------------------------------------------
include datalght.inc
InitModel %MEMMODEL, pascal, use16
include _dllfn.inc

.data

.code

if @CodeSize
	extrn INT21_5D:far
else
	extrn INT21_5D:near
endif

;--------------------------------------------------------------------
; $DOCPROC:LFNWildcardRename
; bool PASCAL LFNWildcardRename(char szOldName[], char szNewName[]);
;
; Rename one or more longname files using wildcards.
;
; On Entry	szOldName	"from" name, may contain wildcard chars
;		szNewName	"to" name,  may contain wildcard chars
; On Exit	nothing
;
; Returns TRUE if worked (all files that matched renamed).
; Returns FALSE if failed.
;--------------------------------------------------------------------
ProcBegin	LFNWildcardRename, PUBLIC
ProcArgs	@@szOldLongName:PTR, @@szNewLongName:PTR
if @DataSize
ProcUses	ds, di
else
ProcUses	di
endif
ProcSetup

	; rename/move using longname function
	lptr_ds	dx, @@szOldLongName
	lptr_es	di, @@szNewLongName
	mov	ax, 7156h
	stc
	call	INT21_5D

	; set pass/failed here (ax=TRUE if worked, FALSE if failed)
	LFN_SET_DOS_ERROR
ProcEnd

	end
