//
//   $Id: SHOW.C 1.4 2002/10/16 15:53:20Z peterb Exp $
//
//   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
//
//   Copyright (c) 1993 - 2002 Datalight, Inc.
//   All Rights Reserved
//
//   Datalight, Inc. is a Washington corporation with an address at
//   21520 30TH DR SE MS110 Bothell, WA, 98021
//   Tel: 800.221.6630  Fax: 425.951.8091
//   Http://www.datalight.com
//
//   This software, including without limitation all source code and
//   documentation, is the confidential, trade secret property of
//   Datalight, Inc., and is protected under the copyright laws of
//   the United States and other jurisdictions. Portions of the
//   software may also be subject to one or more the following US
//   patents: US#5860082, US#6260156.
//
//   In addition to civil penalties for infringement of copyright
//   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
//   penalties for violation of (a) the restrictions on circumvention
//   of copyright protection systems found in 17 U.S.C. 1201 and
//   (b) the protections for the integrity of copyright management
//   information found in 17 U.S.C. 1202.
//
//   U.S. Government Restricted Rights. Use, duplication,
//   reproduction, or transfer of this commercial product and
//   accompanying documentation is restricted in accordance with
//   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
//
//   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
//   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
//   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
//   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
//   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
//   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
//   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
//   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
//   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
//   THIS SOFTWARE IN ERROR.
//
/*
	Copyright (c) 1989-2002 Datalight, Inc.
	All Rights Reserved.
	Datalight Confidential and Proprietary
*/
#include <stdio.h>
#include <string.h>

void show( char* fname );
void pause( int seconds );

char outfile[9];

void main( int argc, char* argv[] )
{
	if( argc > 1 )
		strcpy( outfile, argv[1] );
	else
		strcpy( outfile, "CON" );

	while( 1 )
	{
		show( "scr1.ans" );
		pause( 6 );
		show( "scr2.ans" );
		pause( 6 );
		show( "scr3.ans" );
		pause( 6 );
		show( "scr4a.ans" );
		pause( 6 );
		show( "scr4b.ans" );
		pause( 6 );
		show( "scr5.ans" );
		pause( 6 );
		show( "scr6.ans" );
		pause( 6 );
		show( "scr7.ans" );
		pause( 6 );
		show( "scr8.ans" );
		pause( 6 );
		show( "scr9.ans" );
		pause( 6 );
		show( "scr10.ans" );
		pause( 6 );
		show( "scr11.ans" );
		pause( 6 );
		show( "scr12.ans" );
		pause( 6 );
	}
}

void show( char* fname )
{
	FILE *source, *dest;
	char buffer[80];
	unsigned length;

	source = fopen( fname, "rb" );
	if( !source )
		return;
	dest = fopen( outfile, "wb" );
	if( !dest )
		return;

	while( !feof( source ))
	{
		length = fread( (void *) buffer, sizeof( char ), 80, source );
		fwrite( (void *) buffer, sizeof( char ), length, dest );
	}

	fclose( source );
	fclose( dest );
}

void pause( int seconds )
{
	delay(seconds*1000);
}

