;
;   $Id: NEWTIMER.ASM 1.3 2002/11/14 00:51:22Z johnb Exp $
;
;   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
;
;   Copyright (c) 1993 - 2002 Datalight, Inc.
;   All Rights Reserved
;
;   Datalight, Inc. is a Washington corporation with an address at
;   21520 30TH DR SE MS110 Bothell, WA, 98021
;   Tel: 800.221.6630  Fax: 425.951.8091
;   Http://www.datalight.com
;
;   This software, including without limitation all source code and
;   documentation, is the confidential, trade secret property of
;   Datalight, Inc., and is protected under the copyright laws of
;   the United States and other jurisdictions. Portions of the
;   software may also be subject to one or more the following US
;   patents: US#5860082, US#6260156.
;
;   In addition to civil penalties for infringement of copyright
;   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
;   penalties for violation of (a) the restrictions on circumvention
;   of copyright protection systems found in 17 U.S.C. 1201 and
;   (b) the protections for the integrity of copyright management
;   information found in 17 U.S.C. 1202.
;
;   U.S. Government Restricted Rights. Use, duplication,
;   reproduction, or transfer of this commercial product and
;   accompanying documentation is restricted in accordance with
;   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
;
;   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
;   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
;   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
;   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
;   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
;   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
;   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
;   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
;   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
;   THIS SOFTWARE IN ERROR.
;
NEWTIMER_TEXT	segment byte public 'CODE'
_cs_oldtimer	label	dword
	db	4 dup (?)
NEWTIMER_TEXT	ends
DGROUP	group	_DATA,_BSS
	assume	cs:NEWTIMER_TEXT,ds:DGROUP
_DATA	segment word public 'DATA'
d@	label	byte
d@w	label	word
_DATA	ends
_BSS	segment word public 'BSS'
b@	label	byte
b@w	label	word
_BSS	ends
NEWTIMER_TEXT	segment byte public 'CODE'
   ;
   ;	void interrupt newtimer()
   ;
	assume	cs:NEWTIMER_TEXT
_newtimer	proc	far
   ;
   ;	{
   ;		(*cs_oldtimer)();
   ;
	pushf
	call	_cs_oldtimer
	push	ax
	push	ds
	mov	ax,DGROUP
	mov	ds,ax
   ;		schedule_event = 1;
	mov	byte ptr DGROUP:_schedule_event,1
   ;
   ;		if (!in_tcp && async && !did_schedule) {
   ;
	cmp	word ptr DGROUP:_in_tcp,0
	jne	short @1@142
	cmp	byte ptr DGROUP:_async,0
	je	short @1@142
	mov	al,byte ptr DGROUP:_did_schedule
	mov	ah,0
	or	ax,ax
	jne	short @1@142
   ;
   ;			in_tcp = 0x41;
   ;
	mov	word ptr DGROUP:_in_tcp,65
   ;
   ;			savess = _SS;
   ;
	mov	word ptr DGROUP:savess,ss
   ;	
   ;			savesp = _SP;
   ;	
	mov	word ptr DGROUP:savesp,sp
   ;	
   ;			_SS = _DS;
   ;	
	mov	ax,ds
	mov	ss,ax
   ;
   ;			_SP = stack_pointer;
   ;	
	mov	sp,word ptr DGROUP:_stack_pointer
   ;	
	push	bx
	push	cx
	push	dx
	push	es
	push	si
	push	di
	push	bp
	mov	bp,sp
   ;			enable();
   ;	
	db	251 ;sti
   ;	
   ;			schedule();
   ;	
schedule_again:         
	call	far ptr _schedule

        ;
        ; if we must handle data, call back to the schedule
        ;

        cmp     byte ptr ds:_hin_recv, 1  
        jne      newtimer_done            
        mov     byte ptr ds:_hin_recv, 0  
        jmp     short schedule_again    
                                        
newtimer_done:                          
   ;	
   ; 			disable();
   ;	
	db	250
	pop	bp
	pop	di
	pop	si
	pop	es
	pop	dx
	pop	cx
	pop	bx
   ;	
   ;			_SS = savess;
   ;	
	mov	ss,word ptr DGROUP:savess
   ;	
   ;			_SP = savesp;
   ;	
	mov	sp,word ptr DGROUP:savesp
   ;	
   ;			in_tcp = 0;
   ;	
	mov	word ptr DGROUP:_in_tcp,0
@1@142:
   ;	
   ;		}
   ;		did_schedule = 0;
   ;	
	mov	byte ptr DGROUP:_did_schedule,0
   ;	
   ;	}
   ;	
	pop	ds
	pop	ax
	iret	
_newtimer	endp
   ;	
   ;	void set_oldtimer(void interrupt (* oldtimer)(void))
   ;	
	assume	cs:NEWTIMER_TEXT
_set_oldtimer	proc	far
	push	bp
	mov	bp,sp
   ;	
   ;	{
   ;		cs_oldtimer = oldtimer;
   ;	
	mov	ax,word ptr [bp+8]
	mov	dx,word ptr [bp+6]
	mov	cs:word ptr _cs_oldtimer+2,ax
	mov	cs:word ptr _cs_oldtimer,dx
   ;	
   ;	}
   ;	
	pop	bp
	ret	
_set_oldtimer	endp




NEWTIMER_TEXT	ends
_BSS	segment word public 'BSS'
savesp	label	word
	db	2 dup (?)
savess	label	word
	db	2 dup (?)
savecnt dw      ?
_BSS	ends
_DATA	segment word public 'DATA'
s@	label	byte
_DATA	ends
NEWTIMER_TEXT	segment byte public 'CODE'
NEWTIMER_TEXT	ends
	public	_set_oldtimer
	extrn	_async:byte
_savesp	equ	savesp
_savess	equ	savess
        extrn   _hin_recv:byte
	extrn	_did_schedule:byte
	extrn	_in_tcp:word
	extrn	_schedule_event
	extrn	_stack_pointer:word
	extrn	_schedule:far
        extrn   _schedule_write:far
        extrn   _must_schedule:byte
	public	_newtimer
	public	_cs_oldtimer
_s@	equ	s@
	end
