//
//   $Id: OD.java 1.2 2002/10/16 17:01:48Z peterb Exp $
//
//   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
//
//   Copyright (c) 1993 - 2002 Datalight, Inc.
//   All Rights Reserved
//
//   Datalight, Inc. is a Washington corporation with an address at
//   21520 30TH DR SE MS110 Bothell, WA, 98021
//   Tel: 800.221.6630  Fax: 425.951.8091
//   Http://www.datalight.com
//
//   This software, including without limitation all source code and
//   documentation, is the confidential, trade secret property of
//   Datalight, Inc., and is protected under the copyright laws of
//   the United States and other jurisdictions. Portions of the
//   software may also be subject to one or more the following US
//   patents: US#5860082, US#6260156.
//
//   In addition to civil penalties for infringement of copyright
//   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
//   penalties for violation of (a) the restrictions on circumvention
//   of copyright protection systems found in 17 U.S.C. 1201 and
//   (b) the protections for the integrity of copyright management
//   information found in 17 U.S.C. 1202.
//
//   U.S. Government Restricted Rights. Use, duplication,
//   reproduction, or transfer of this commercial product and
//   accompanying documentation is restricted in accordance with
//   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
//
//   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
//   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
//   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
//   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
//   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
//   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
//   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
//   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
//   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
//   THIS SOFTWARE IN ERROR.
//
package inet;

import java.awt.event.*;
import java.awt.*;
import java.util.*;

class OD//stands for option dialog
extends QuickDialog
{
	Component whantfocus;
	public static final int
		ok = 1,
		cancel = 2,
		yes = 4,
		no = 8;
	Button
		OK,
		CANCEL,
		YES,
		NO;

	int state = 0;

	OD(Frame conframe, DataBase settings, String title, String message, int flags, int highlight)
	{
		super(conframe, title);
		gridcons.ipady = 0;
		gridcons.gridwidth = gridcons.REMAINDER;
		StringTokenizer st = new StringTokenizer(message, "\r\n");
		while(st.hasMoreTokens())
			ad(new Label(st.nextToken(), Label.CENTER));
		gridcons.gridwidth = 1;
		if ((flags & ok) != 0) OK = adb(settings.getS(settings.ok));
		if ((flags & yes) != 0) YES = adb(settings.getS(settings.yes));
		if ((flags & no) != 0) NO = adb(settings.getS(settings.no));
		if ((flags & cancel) != 0) CANCEL = adb(settings.getS(settings.cancel));
		switch (highlight) {
		case ok:whantfocus = OK;break;
		case cancel:whantfocus = CANCEL;break;
		case yes:whantfocus = YES;break;
		case no:whantfocus = NO;break;
		}
		setModal(true);
		display();
	}
	public void paint(Graphics g) {
		super.paint(g);
		if (whantfocus != null)
			whantfocus.requestFocus();
	}

	Button adb(String s)
	{
		Button b = new Button(s);
		b.addActionListener(this);
		ad(b);
		return b;
	}

	int getState()
	{
		return state;
	}

	public void actionPerformed(ActionEvent a)
	{
		Object o = a.getSource();
		if (o == OK) state = ok;
		else if (o == CANCEL) state = cancel;
		else if (o == YES) state = yes;
		else if (o == NO) state = no;
		dispose();
	}

	//utility function
	static int s(Frame conframe, DataBase settings, String title, String message, int flags, int highlight)
	{
		OD o = new OD(conframe, settings, title, message,flags,highlight);
		return o.getState();
	}
}
