#  $Id: UTILS.MS 1.9 2003/08/19 17:25:12Z johnb Exp $
#
#  *** DO NOT REMOVE THE FOLLOWING NOTICE ***
#
#  Copyright (c) 1996-2003 Datalight, Inc.
#  All Rights Reserved
#
#  Datalight, Inc. is a Washington corporation located at:
#
#  21520 30th Dr SE, Suite 110,          Tel: +1.425.951.8086
#  Bothell, WA  98021                    Fax: +1.425.951.8094
#  USA                                   Http://www.datalight.com
#
#  This software, including without limitation all source code and
#  documentation, is the confidential, trade secret property of
#  Datalight, Inc., and is protected under the copyright laws of
#  the United States and other jurisdictions.  Portions of the
#  software may also be subject to one or more the following US
#  patents: US#5860082, US#6260156.
#
#  In addition to civil penalties for infringement of copyright
#  under applicable U.S. law, 17 U.S.C. 1204 provides criminal
#  penalties for violation of (a) the restrictions on circumvention
#  of copyright protection systems found in 17 U.S.C. 1201 and
#  (b) the protections for the integrity of copyright management
#  information found in 17 U.S.C. 1202.
#
#  U.S. Government Restricted Rights.  Use, duplication,
#  reproduction, or transfer of this commercial product and
#  accompanying documentation is restricted in accordance with
#  FAR 12.212 and DFARS 227.7202 and by a License Agreement.
#
#  IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
#  PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
#  AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
#  INC. AND THE LICENSEE ("BINDING AGREEMENT").  YOUR RIGHT, IF ANY,
#  TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
#  TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
#  USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
#  TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT.  CONTACT
#  DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
#  THIS SOFTWARE IN ERROR.
#
#
# UTILS.MS
# Copyright (c) 1996-2001 Datalight, Inc.
# Confidential and Proprietary
# All Rights Reserved
#
# Utilities makefile for Microsoft Visual C++ 1.5x
#
# $DOCHISTORY
#  05/21/2003 jmb added httpstat
#  05/14/2001 jmb original revision
#
#

release : ftptest.exe capidiag.exe xping.exe ioctl.exe ioctlh.exe arpstat.exe \
          sockdiag.exe httpstat.exe iptest.exe

xping.exe: xping.c
	cl -AL -Gs /I..\include xping.c

ftptest.exe: ftptest.c
	cl -AL -Gs /I..\include ftptest.c

capidiag.exe: capidiag.c 
	cl -AL -Gs /I..\include capidiag.c ..\lib\ms_capil.lib

ioctl.exe: ioctl.c 
	cl -AL -Gs /I..\include ioctl.c ..\lib\ms_capil.lib

ioctlh.exe: ioctlh.c 
	cl -AL -Gs /I..\include ioctlh.c ..\lib\ms_capil.lib

arpstat.exe: arpstat.c 
	cl -AL -Gs /I..\include arpstat.c ..\lib\ms_capil.lib

sockdiag.exe: sockdiag.c 
	cl -AL -Gs /I..\include sockdiag.c ..\lib\ms_sockl.lib ..\lib\ms_capil.lib

httpstat.exe: httpstat.c ..\..\server\cgiadap.c
	cl -AL -Gs /I..\include httpstat.c ..\..\server\cgiadap.c ..\lib\ms_sockl.lib ..\lib\ms_capil.lib

iptest.exe: iptest.c 
	cl -AL -Gs /I..\include iptest.c ..\lib\ms_capil.lib
	
clean :
	@if exist *.obj DEL *.obj
	@if exist *.map del *.map
	@if exist ftptest.exe del ftptest.exe
	@if exist capidiag.exe del capidiag.exe
	@if exist xping.exe del xping.exe
	@if exist ioctl.exe del ioctl.exe
	@if exist ioctlh.exe del ioctlh.exe
	@if exist arpstat.exe del arpstat.exe
        @if exist sockdiag.exe del sockdiag.exe
        @if exist httpstat.exe del httpstat.exe
        @if exist iptest.exe del iptest.exe
