// HTTPSTAT.C
// Program to test HTTPD status

#include <stdio.h>
#include <stdlib.h>
#include "conio.h"
#include "cgiadap.h"

int main(void)
{
	int iStatus,iOldStatus = -1;

	while (!kbhit()) {
		if ((iStatus = HttpGetStatus()) < 0) {
			printf("HttpGetStatus() returned %d\n",iStatus);
			exit(1);
		}
		if (iStatus != iOldStatus) {
			iOldStatus = iStatus;
			printf("Number of connections %d %s%s\n",
					iStatus & ~(RETS_SENDING | RETS_RECEIVING),
					iStatus & RETS_SENDING ? "Sending " : "",
					iStatus & RETS_RECEIVING ? "Receiving" : "");
		}

	}
	getch();
	return 0;
}
