;
;   $Id: I2F15.ASM 1.4 2002/10/16 21:39:42Z peterb Exp $
;
;   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
;
;   Copyright (c) 1993 - 2002 Datalight, Inc.
;   All Rights Reserved
;
;   Datalight, Inc. is a Washington corporation with an address at
;   21520 30TH DR SE MS110 Bothell, WA, 98021
;   Tel: 800.221.6630  Fax: 425.951.8091
;   Http://www.datalight.com
;
;   This software, including without limitation all source code and
;   documentation, is the confidential, trade secret property of
;   Datalight, Inc., and is protected under the copyright laws of
;   the United States and other jurisdictions. Portions of the
;   software may also be subject to one or more the following US
;   patents: US#5860082, US#6260156.
;
;   In addition to civil penalties for infringement of copyright
;   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
;   penalties for violation of (a) the restrictions on circumvention
;   of copyright protection systems found in 17 U.S.C. 1201 and
;   (b) the protections for the integrity of copyright management
;   information found in 17 U.S.C. 1202.
;
;   U.S. Government Restricted Rights. Use, duplication,
;   reproduction, or transfer of this commercial product and
;   accompanying documentation is restricted in accordance with
;   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
;
;   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
;   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
;   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
;   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
;   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
;   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
;   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
;   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
;   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
;   THIS SOFTWARE IN ERROR.
;
;---------------------------------------------------------------------------
;  $DOCMODULE:INT2415.ASM
;
;  Copyright (c) 2001-2002 Datalight, Inc.
;  All Rights Reserved.
;  Datalight Confidential and Proprietary.
;
;  $DOCHISTORY
;  06/30/2001 bt  Created
;---------------------------------------------------------------------------
include datalght.inc

InitModel %MEMMODEL, pascal, use16

.code

comment ~
void PASCAL CDEXInstallationCheck( unsigned * puNumberOfDrives,
	unsigned * puFirstDriveNumber )
{}
~
ProcBegin	CDEXInstallationCheck, public
IF @DataSize
ProcUses	ds,bx
ELSE
ProcUses	bx
ENDIF
ProcArgs	puNumberOfDrives:PTR, puFirstDriveNumber:PTR
ProcSetup

		mov	ax, 1500h
		xor	bx, bx
		int	2fh


		mov	ax, bx
		LPTR_DS	bx, puNumberOfDrives
		mov	[bx], ax

		LPTR_DS	bx, puFirstDriveNumber
		mov	[bx], cx

ProcEnd


comment ~
void PASCAL CDEXGetDriveLetters( uchar * pucDriveLetters )
{}
~
ProcBegin	CDEXGetDriveLetters, public
IF @DataSize
ProcUses	es,bx
ELSE
ProcUses	bx
ENDIF
ProcArgs	pucDriveLetters:PTR
ProcSetup

		mov	ax, 150dh
		LPTR_ES	bx, pucDriveLetters
		int	2fh
ProcEnd


comment ~
void PASCAL CDEXDDeviceMap( void * pBuffer )
{}
~
ProcBegin	CDEXDDeviceMap, public
ProcUses	bx
ProcArgs	pBuffer:PTR
ProcSetup

		mov	ax, 1501h
		LPTR_ES	bx, pBuffer
		int	2fh

ProcEnd


comment ~
void PASCAL CDEXChangeDevice( LPDEV_HDR lpCurrentDevice,
	LPDEV_HDR lpNewDevice )
{}
~
ProcBegin	CDEXChangeDevice, public
ProcUses	bx,si,di
ProcArgs	lpCurrentDevice:dword,lpNewDevice:dword
ProcSetup

		mov	ax, 1501h
		LPTR_ES	bx, pBuffer
		mov	cx, word ptr lpCurrentDevice+2;
		mov	dx, word ptr lpCurrentDevice;
		mov	si, word ptr lpNewDevice+2
		mov	di, word ptr lpNewDevice
		int	2fh

ProcEnd


	End

