;
;   $Id: ST.ASM 1.4 2002/10/16 21:57:04Z peterb Exp $
;
;   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
;
;   Copyright (c) 1993 - 2002 Datalight, Inc.
;   All Rights Reserved
;
;   Datalight, Inc. is a Washington corporation with an address at
;   21520 30TH DR SE MS110 Bothell, WA, 98021
;   Tel: 800.221.6630  Fax: 425.951.8091
;   Http://www.datalight.com
;
;   This software, including without limitation all source code and
;   documentation, is the confidential, trade secret property of
;   Datalight, Inc., and is protected under the copyright laws of
;   the United States and other jurisdictions. Portions of the
;   software may also be subject to one or more the following US
;   patents: US#5860082, US#6260156.
;
;   In addition to civil penalties for infringement of copyright
;   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
;   penalties for violation of (a) the restrictions on circumvention
;   of copyright protection systems found in 17 U.S.C. 1201 and
;   (b) the protections for the integrity of copyright management
;   information found in 17 U.S.C. 1202.
;
;   U.S. Government Restricted Rights. Use, duplication,
;   reproduction, or transfer of this commercial product and
;   accompanying documentation is restricted in accordance with
;   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
;
;   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
;   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
;   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
;   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
;   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
;   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
;   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
;   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
;   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
;   THIS SOFTWARE IN ERROR.
;
; Datalight Power Management Software
; Assembly Startup Module
;
; Copyright(c) 1993-2002 Datalight Inc.
; All Rights Reserved
; Datalight Confidential and Proprietary
;

DGROUP	GROUP	_TEXT, _DATA, _BSS, _STACK

_TEXT segment public byte "CODE"

	public _exit, DGROUP@, _ENVIRON, _get_total_bytes

	assume CS:DGROUP
	assume DS:DGROUP

	extrn _main:near
_astart:
	mov	AX, offset DGROUP:StackEnd
	mov	BX, CS
	mov	CX, DS
	cli
	mov	SP, AX
	mov	SS, BX
	sti
	mov	DS, BX
	mov	ES, BX

	mov	_psp, CX

	push	DS
	pop	DGROUP@

	mov	BX, Offset _Text:StartBss	; Zero BSS
	mov	SI, Offset _Text:StackStart
	sub	SI, BX
L1:	mov	byte ptr[BX+SI], 0
	dec	SI
	cmp	SI, 0
	jnz	L1

	push	_psp				; Pass Cmd Line to main
	mov	AX, 80H
	push	AX

	call	_main

_exit:	mov	AX, 4C00H
	int	21H

_get_total_bytes:
	mov	AX, Offset _TEXT:StackStart
	add	ax, 15
	ret

DGROUP@		dw	0
_ENVIRON:	dw	0


_TEXT ends


_DATA segment public word "DATA"

	public _errno, _psp
_errno	dw	0
_psp	dw	0

_DATA ends


_BSS	segment word public 'BSS'
StartBss	equ	$
_BSS	ends

_STACK segment STACK para "STACK"
StackStart equ $
	dw  512 dup (?)
StackEnd equ $

_STACK Ends
	END _astart
