;
;   $Id: DISPLAY3.ASM 1.4 2002/10/15 20:36:54Z peterb Exp $
;
;   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
;
;   Copyright (c) 1993 - 2002 Datalight, Inc.
;   All Rights Reserved
;
;   Datalight, Inc. is a Washington corporation with an address at
;   21520 30TH DR SE MS110 Bothell, WA, 98021
;   Tel: 800.221.6630  Fax: 425.951.8091
;   Http://www.datalight.com
;
;   This software, including without limitation all source code and
;   documentation, is the confidential, trade secret property of
;   Datalight, Inc., and is protected under the copyright laws of
;   the United States and other jurisdictions. Portions of the
;   software may also be subject to one or more the following US
;   patents: US#5860082, US#6260156.
;
;   In addition to civil penalties for infringement of copyright
;   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
;   penalties for violation of (a) the restrictions on circumvention
;   of copyright protection systems found in 17 U.S.C. 1201 and
;   (b) the protections for the integrity of copyright management
;   information found in 17 U.S.C. 1202.
;
;   U.S. Government Restricted Rights. Use, duplication,
;   reproduction, or transfer of this commercial product and
;   accompanying documentation is restricted in accordance with
;   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
;
;   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
;   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
;   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
;   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
;   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
;   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
;   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
;   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
;   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
;   THIS SOFTWARE IN ERROR.
;
;
;  DISPLAY3.ASM
;
;  Copyright (c) 1991-2002 Datalight, Inc.
;  All Rights Reserved.
;  Datalight Confidential and Proprietary
;
;

include macros.inc

STACKSIZE	equ	2048

cBegUdata
	extrn	_currentCodePage:word

	stackCount	db	0

cEndUdata

cBegCode

	extrn	_SetMode:near
	extrn	_SetFont:near
	extrn	_GetInt43Font:near
	extrn	_GetFontInfo:near

IFNDEF standalone
	extrn	UseOurStack:near
	extrn	UseOldStack:near
ENDIF

	public	_old10

	_old10	dd	?
	old2F	dd	?

COMMENT ; prototype
void Handler10(...)
{}
;
handler10:

	; pass the call through?
	cmp	AH, 0H
	jz	trapsetmode

IF 1
	cmp	AH, 12H
	jz	xtrapaltselect
ENDIF

	cmp	AH, 11H
	jnz	donttrap10

	cmp	AL, 01H
	jz	trapsetfont
	cmp	AL, 11H
	jz	trapsetfont
	cmp	AL, 02H
	jz	trapsetfont
	cmp	AL, 12H
	jz	trapsetfont
	cmp	AL, 04H
	jz	trapsetfont
	cmp	AL, 14H
	jz	trapsetfont

	cmp	AL, 22H
	jz	xtrapsetint43
	cmp	AL, 23H
	jz	xtrapsetint43
	cmp	AL, 24H
	jz	xtrapsetint43

	cmp	AL, 30H
	jz	xtrapgetfont

donttrap10:
	jmp	dword ptr CS:[_old10]

xtrapgetfont:
	jmp	trapgetfont

xtrapsetint43:
	jmp	trapsetint43

IF 1
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
xtrapaltselect:
	; only worry about subfn 30 (Select scan lines)
	cmp	BL, 30h
	jnz	donttrap10

	; just refuse to take any action!
	mov	AL, 0
	iret
ENDIF

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
trapsetmode:
	pushf
	call	dword ptr CS:[_old10]

	; save registers
	push	AX
	push	BX
	push	CX
	push	DX
	push	DS

	; get our data segment
	mov	BX, DGROUP
	mov	DS, BX

	call	UseOurStack

	; _SetMode(mode)
	push	AX
	call	_SetMode
	pop	AX

	call	UseOldStack

	; restore registers
	pop	DS
	pop	DX
	pop	CX
	pop	BX
	pop	AX
	iret

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
trapsetfont:
	; save registers
	push	AX
	push	BX
	push	CX
	push	DX
	push	DS

	; get our data segment
	mov	BX, DGROUP
	mov	DS, BX

	call	UseOurStack

	; _SetFont(subfn)
	mov	AH, 0
	push	AX
	call	_SetFont
	pop	AX

	call	UseOldStack

	; restore registers
	pop	DS
	pop	DX
	pop	CX
	pop	BX
	pop	AX
	iret

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
trapsetint43:
	cmp	AL, 21
	jnz	romfont
	jmp	dword ptr CS:[_old10]

romfont:
	; save registers
	push	AX
	push	BX
	push	CX
	push	DX
	push	DS

	; get our data segment
	mov	BX, DGROUP
	mov	DS, BX

	call	UseOurStack

	; ptr = _GetInt43Font(subfn)
	push	AX
	call	_GetInt43Font
	pop	CX

	; now set int 43 to a "user" font (ours)
	mov	ES, DX
	mov	BP, AX
	pushf
	call	dword ptr CS:[_old10]

	call	UseOldStack

	; restore registers
	pop	DS
	pop	DX
	pop	CX
	pop	BX
	pop	AX
	iret

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
trapgetfont:
	; save registers
	push	AX
	push	BX
	push	DS

	; get our data segment
	mov	DX, DGROUP
	mov	DS, DX

	call	UseOurStack

	; Save the command (AX) and Font (BX) !
	push	AX
	push	BX

	; GetFontInfo(infoType)
	mov	BL, BH
	mov	BH, 0
	push	BX			; Push infoType
	call	_GetFontInfo
	pop	BX			; Throw away infoType

	; put returned pointer in ES:BP
	mov	ES, DX
	mov	BP, AX

	; restore font (BX) and command (AX)
	pop	BX
	pop	AX

	call	UseOldStack

	; save our pointer
	push	BP
	push	ES

	; Clear DH since the ROM routine doesn't (!)
	mov	DH, 0

	pushf
	call	dword ptr CS:[_old10]

	; check our pointer for validity
	pop	AX
	cmp	AX, 0

	jz	usetheirs

	mov	ES, AX
	pop	BP
	jmp	short done

usetheirs:
	pop	AX

done:
	; restore registers
	pop	DS
	pop	BX
	pop	AX

	iret

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

COMMENT ; prototype
void Handler2F(...)
{}
;
handler2F:

	; pass the call through?
	cmp	AX, 0AD00H
	jz	trap2FAD00
	cmp	AX, 0AD02H
	jz	trap2FAD02
	jmp	dword ptr CS:[old2F]

trap2FAD00:
	mov	AL, 0FFH	; yes DISPLAY is installed
	mov	BX, 0100H	; version 1.00
	iret

trap2FAD02:
	; save all register that we'll change
	push	DS
	push	CX

	; set up our DS
	mov	CX, DGROUP
	mov	DS, CX
	mov	BX, _currentCodePage

	; pop registers and return
	pop	CX
	pop	DS
	iret


COMMENT ; prototype
void Install10(void)
{}
;
c_func	Install10
	push	BP
	mov	BP, SP

	; save old INT 10H handler
	mov	AX, 3510H
	int	21H
	mov	word ptr CS:[_old10], BX
	mov	word ptr CS:[_old10+2], ES

	; set new handler (25H, DS:DX)
	push	DS
	mov	AX, CS
	mov	DS, AX
	mov	DX, offset handler10
	mov	AX, 2510H
	int	21H
	pop	DS

	pop	BP
	ret
c_endp	Install10

COMMENT ; prototype
void Uninstall10(void)
{}
;
c_func	Uninstall10
	; set back to old handler
	push	DS
	lds	DX, CS:[_old10]
	mov	AX, 2510H
	int	21H
	pop	DS
	ret
c_endp	Uninstall10

COMMENT ; prototype
void Install2F(void)
{}
;
c_func	Install2F
	push	BP
	mov	BP, SP

	; save old INT 2FH handler
	mov	AX, 352FH
	int	21H
	mov	word ptr CS:[old2F], BX
	mov	word ptr CS:[old2F+2], ES

	; set new handler (25H, DS:DX)
	push	DS
	mov	AX, CS
	mov	DS, AX
	mov	DX, offset handler2F
	mov	AX, 252FH
	int	21H
	pop	DS

	pop	BP
	ret
c_endp	Install2F

COMMENT ; prototype
void Uninstall2F(void)
{}
;
c_func	Uninstall2F
	; set back to old handler
	push	DS
	lds	DX, CS:[old2F]
	mov	AX, 252FH
	int	21H
	pop	DS
	ret
c_endp	Uninstall2F

IFDEF standalone
UseOldStack:
UseOurStack:
	ret
ENDIF

cEndCode
	END
