//
//   $Id: CLONE437.CPP 1.2 2002/10/15 20:43:38Z peterb Exp $
//
//   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
//
//   Copyright (c) 1993 - 2002 Datalight, Inc.
//   All Rights Reserved
//
//   Datalight, Inc. is a Washington corporation with an address at
//   21520 30TH DR SE MS110 Bothell, WA, 98021
//   Tel: 800.221.6630  Fax: 425.951.8091
//   Http://www.datalight.com
//
//   This software, including without limitation all source code and
//   documentation, is the confidential, trade secret property of
//   Datalight, Inc., and is protected under the copyright laws of
//   the United States and other jurisdictions. Portions of the
//   software may also be subject to one or more the following US
//   patents: US#5860082, US#6260156.
//
//   In addition to civil penalties for infringement of copyright
//   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
//   penalties for violation of (a) the restrictions on circumvention
//   of copyright protection systems found in 17 U.S.C. 1201 and
//   (b) the protections for the integrity of copyright management
//   information found in 17 U.S.C. 1202.
//
//   U.S. Government Restricted Rights. Use, duplication,
//   reproduction, or transfer of this commercial product and
//   accompanying documentation is restricted in accordance with
//   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
//
//   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
//   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
//   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
//   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
//   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
//   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
//   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
//   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
//   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
//   THIS SOFTWARE IN ERROR.
//
/*
   Copyright (c) 1989-1997 Datalight, Inc.
   All Rights Reserved.
   Datalight Confidential and Proprietary
*/
#include <fcntl.h>
#include <io.h>
#include <string.h>

#include "display.h"

char font8x8[256*8];
char font8x14[256*14];
char font8x16[256*16];

void main(void)
{
	int fd;

	fd = open(FILENAME, O_RDWR|O_BINARY);

	if (fd != -1)
	{
		int i;
		long offset;
		CPIHeader		header;
		CodePageList	codePageList;

		// read header
		read(fd, &header, sizeof(header));
		if (strcmp(header.id, id) != 0)
		{
			goto Out;
		}

		// read code page list
		read(fd, &codePageList, sizeof(codePageList));

		// read upper 128 characters of 850
		offset = header.firstCodePage + header.chunkSize;
		lseek(fd, offset, SEEK_SET);
		read(fd, font8x16, 128 * 16);
		read(fd, font8x14, 128 * 14);
		read(fd, font8x8, 128 * 8);

//		for (i = 1; i < header.maxCodePages && codePageList[i]; ++i)
		{
			// write to 865
			offset = header.firstCodePage + 2 * header.chunkSize;
			lseek(fd, offset, SEEK_SET);
			write(fd, font8x16, 128 * 16);	// skip 8x16
			write(fd, font8x14, 128 * 14);
			write(fd, font8x8, 128 * 8);
		}

Out:	
		close(fd);
	}
}
