//
//   $Id: DV437.H 1.4 2002/10/15 20:48:06Z peterb Exp $
//
//   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
//
//   Copyright (c) 1993 - 2002 Datalight, Inc.
//   All Rights Reserved
//
//   Datalight, Inc. is a Washington corporation with an address at
//   21520 30TH DR SE MS110 Bothell, WA, 98021
//   Tel: 800.221.6630  Fax: 425.951.8091
//   Http://www.datalight.com
//
//   This software, including without limitation all source code and
//   documentation, is the confidential, trade secret property of
//   Datalight, Inc., and is protected under the copyright laws of
//   the United States and other jurisdictions. Portions of the
//   software may also be subject to one or more the following US
//   patents: US#5860082, US#6260156.
//
//   In addition to civil penalties for infringement of copyright
//   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
//   penalties for violation of (a) the restrictions on circumvention
//   of copyright protection systems found in 17 U.S.C. 1201 and
//   (b) the protections for the integrity of copyright management
//   information found in 17 U.S.C. 1202.
//
//   U.S. Government Restricted Rights. Use, duplication,
//   reproduction, or transfer of this commercial product and
//   accompanying documentation is restricted in accordance with
//   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
//
//   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
//   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
//   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
//   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
//   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
//   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
//   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
//   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
//   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
//   THIS SOFTWARE IN ERROR.
//
/*
   Copyright (c) 1989-2002 Datalight, Inc.
   All Rights Reserved.
   Datalight Confidential and Proprietary
*/
unsigned char dv437canPrefixList[MAX_CAN_PREFIX] = "";

Prefix dv437prefixes[] =
{
	{0}
};

NormalKey dv437normalKeys[] =
{
	{0x0c, NORMAL, '['},
	{0x0c, SHIFT,  '{'},
	{0x0d, NORMAL, ']'},
	{0x0d, SHIFT,  '}'},
	{0x10, NORMAL, 39},
	{0x10, SHIFT,  34},
	{0x11, NORMAL, ','},
	{0x11, SHIFT,  '<'},
	{0x12, NORMAL, '.'},
	{0x12, SHIFT,  '>'},
	{0x1a, NORMAL, '/'},
	{0x1a, SHIFT,  '?'},
	{0x1b, NORMAL, '='},
	{0x1b, SHIFT,  '+'},
	{0x28, NORMAL, '-'},
	{0x28, SHIFT,  '_'},
	{0x2c, NORMAL, ';'},
	{0x2c, SHIFT,  ':'},
	{0}
};

NormalKey dv437letters[] =
{
	{0x13, NORMAL, 'p'},
	{0x13, SHIFT,  'P'},
	{0x14, NORMAL, 'y'},
	{0x14, SHIFT,  'Y'},
	{0x15, NORMAL, 'f'},
	{0x15, SHIFT,  'F'},
	{0x16, NORMAL, 'g'},
	{0x16, SHIFT,  'G'},
	{0x17, NORMAL, 'c'},
	{0x17, SHIFT,  'C'},
	{0x18, NORMAL, 'r'},
	{0x18, SHIFT,  'R'},
	{0x19, NORMAL, 'l'},
	{0x19, SHIFT,  'L'},
	{0x1f, NORMAL, 'o'},
	{0x1f, SHIFT,  'O'},
	{0x20, NORMAL, 'e'},
	{0x20, SHIFT,  'E'},
	{0x21, NORMAL, 'u'},
	{0x21, SHIFT,  'U'},
	{0x22, NORMAL, 'i'},
	{0x22, SHIFT,  'I'},
	{0x23, NORMAL, 'd'},
	{0x23, SHIFT,  'D'},
	{0x24, NORMAL, 'h'},
	{0x24, SHIFT,  'H'},
	{0x25, NORMAL, 't'},
	{0x25, SHIFT,  'T'},
	{0x26, NORMAL, 'n'},
	{0x26, SHIFT,  'N'},
	{0x27, NORMAL, 's'},
	{0x27, SHIFT,  'S'},
	{0x2d, NORMAL, 'q'},
	{0x2d, SHIFT,  'Q'},
	{0x2e, NORMAL, 'j'},
	{0x2e, SHIFT,  'J'},
	{0x2f, NORMAL, 'k'},
	{0x2f, SHIFT,  'K'},
	{0x30, NORMAL, 'x'},
	{0x30, SHIFT,  'X'},
	{0x31, NORMAL, 'b'},
	{0x31, SHIFT,  'B'},
	{0x33, NORMAL, 'w'},
	{0x33, SHIFT,  'W'},
	{0x34, NORMAL, 'v'},
	{0x34, SHIFT,  'V'},
	{0x35, NORMAL, 'z'},
	{0x35, SHIFT,  'Z'},
	{0}
};

NormalKey dv437numbers[] =
{
	{0}
};
