//
//   $Id: RU866.H 1.4 2002/10/15 20:48:06Z peterb Exp $
//
//   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
//
//   Copyright (c) 1993 - 2002 Datalight, Inc.
//   All Rights Reserved
//
//   Datalight, Inc. is a Washington corporation with an address at
//   21520 30TH DR SE MS110 Bothell, WA, 98021
//   Tel: 800.221.6630  Fax: 425.951.8091
//   Http://www.datalight.com
//
//   This software, including without limitation all source code and
//   documentation, is the confidential, trade secret property of
//   Datalight, Inc., and is protected under the copyright laws of
//   the United States and other jurisdictions. Portions of the
//   software may also be subject to one or more the following US
//   patents: US#5860082, US#6260156.
//
//   In addition to civil penalties for infringement of copyright
//   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
//   penalties for violation of (a) the restrictions on circumvention
//   of copyright protection systems found in 17 U.S.C. 1201 and
//   (b) the protections for the integrity of copyright management
//   information found in 17 U.S.C. 1202.
//
//   U.S. Government Restricted Rights. Use, duplication,
//   reproduction, or transfer of this commercial product and
//   accompanying documentation is restricted in accordance with
//   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
//
//   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
//   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
//   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
//   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
//   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
//   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
//   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
//   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
//   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
//   THIS SOFTWARE IN ERROR.
//
/*
   Copyright (c) 1989-2002 Datalight, Inc.
   All Rights Reserved.
   Datalight Confidential and Proprietary
*/
unsigned char ru866canPrefixList[MAX_CAN_PREFIX] = "";

Prefix ru866prefixes[] =
{
	{0}
};

NormalKey ru866normalKeys[] =
{
	{0x03,SHIFT, 0x22},
	{0x04,SHIFT, 0xFC},
	{0x05,SHIFT, 0x3B},
	{0x06,SHIFT, 0x25},
	{0x07,SHIFT, 0x3A},
	{0x08,SHIFT, 0x3F},
	{0x2B,NORMAL,0x5C},
	{0x2B,SHIFT, 0x2F},
	{0x35,NORMAL,0x2E},
	{0x35,SHIFT, 0x2C},
	{0}
};

NormalKey ru866letters[] =
{
	{0x10,NORMAL,0xA9},
	{0x11,NORMAL,0xE6},
	{0x12,NORMAL,0xE3},
	{0x13,NORMAL,0xAA},
	{0x14,NORMAL,0xA5},
	{0x15,NORMAL,0xAD},
	{0x16,NORMAL,0xA3},
	{0x17,NORMAL,0xE8},
	{0x18,NORMAL,0xE9},
	{0x19,NORMAL,0xA7},
	{0x1A,NORMAL,0xE5},
	{0x1B,NORMAL,0xEA},
	{0x1C,NORMAL,0x0D},
	{0x1E,NORMAL,0xE4},
	{0x1F,NORMAL,0xEB},
	{0x20,NORMAL,0xA2},
	{0x21,NORMAL,0xA0},
	{0x22,NORMAL,0xAF},
	{0x23,NORMAL,0xE0},
	{0x24,NORMAL,0xAE},
	{0x25,NORMAL,0xAB},
	{0x26,NORMAL,0xA4},
	{0x27,NORMAL,0xA6},
	{0x28,NORMAL,0xED},
	{0x29,NORMAL,0xF1},
	{0x2B,NORMAL,0x5C},
	{0x2C,NORMAL,0xEF},
	{0x2D,NORMAL,0xE7},
	{0x2E,NORMAL,0xE1},
	{0x2F,NORMAL,0xAC},
	{0x30,NORMAL,0xA8},
	{0x31,NORMAL,0xE2},
	{0x32,NORMAL,0xEC},
	{0x33,NORMAL,0xA1},
	{0x34,NORMAL,0xEE},
	{0x10,SHIFT, 0x89},
	{0x11,SHIFT, 0x96},
	{0x12,SHIFT, 0x93},
	{0x13,SHIFT, 0x8A},
	{0x14,SHIFT, 0x85},
	{0x15,SHIFT, 0x8D},
	{0x16,SHIFT, 0x83},
	{0x17,SHIFT, 0x98},
	{0x18,SHIFT, 0x99},
	{0x19,SHIFT, 0x87},
	{0x1A,SHIFT, 0x95},
	{0x1B,SHIFT, 0x9A},
	{0x1C,SHIFT, 0x0D},
	{0x1E,SHIFT, 0x94},
	{0x1F,SHIFT, 0x9B},
	{0x20,SHIFT, 0x82},
	{0x21,SHIFT, 0x80},
	{0x22,SHIFT, 0x8F},
	{0x23,SHIFT, 0x90},
	{0x24,SHIFT, 0x8E},
	{0x25,SHIFT, 0x8B},
	{0x26,SHIFT, 0x84},
	{0x27,SHIFT, 0x86},
	{0x28,SHIFT, 0x9D},
	{0x29,SHIFT, 0xF0},
	{0x2C,SHIFT, 0x9F},
	{0x2D,SHIFT, 0x97},
	{0x2E,SHIFT, 0x91},
	{0x2F,SHIFT, 0x8C},
	{0x30,SHIFT, 0x88},
	{0x31,SHIFT, 0x92},
	{0x32,SHIFT, 0x9C},
	{0x33,SHIFT, 0x81},
	{0x34,SHIFT, 0x9E},
	{0}
};

NormalKey ru866numbers[] =
{
	{0}
};
