;
;   $Id: _DLINT13.INC 1.4 2002/10/15 22:43:50Z peterb Exp $
;
;   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
;
;   Copyright (c) 1993 - 2002 Datalight, Inc.
;   All Rights Reserved
;
;   Datalight, Inc. is a Washington corporation with an address at
;   21520 30TH DR SE MS110 Bothell, WA, 98021
;   Tel: 800.221.6630  Fax: 425.951.8091
;   Http://www.datalight.com
;
;   This software, including without limitation all source code and
;   documentation, is the confidential, trade secret property of
;   Datalight, Inc., and is protected under the copyright laws of
;   the United States and other jurisdictions. Portions of the
;   software may also be subject to one or more the following US
;   patents: US#5860082, US#6260156.
;
;   In addition to civil penalties for infringement of copyright
;   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
;   penalties for violation of (a) the restrictions on circumvention
;   of copyright protection systems found in 17 U.S.C. 1201 and
;   (b) the protections for the integrity of copyright management
;   information found in 17 U.S.C. 1202.
;
;   U.S. Government Restricted Rights. Use, duplication,
;   reproduction, or transfer of this commercial product and
;   accompanying documentation is restricted in accordance with
;   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
;
;   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
;   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
;   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
;   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
;   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
;   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
;   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
;   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
;   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
;   THIS SOFTWARE IN ERROR.
;
;---------------------------------------------------------------------------
; $DOCMODULE:_DLINT13.INC
;
;  Copyright (c) 1999-2002 Datalight, Inc.
;  All Rights Reserved.
;  Datalight Confidential and Proprietary.
;
; This module contains structures needed only by routines in this
; directory.
;
; $DOCHISTORY
; 03/30/1999 dg  Created by Drew Gislason
;---------------------------------------------------------------------------

; for Int 13h fn 02h, 03h, 04h (Read, Write, Verify)
BiosDiskTransferPacket struc
    BDTP_iTrack		dw ? ; 0 based track (0-t)
    BDTP_ucSector	db ? ; 1 based spt (1-s)
    BDTP_ucHead		db ? ; 0 based head (0-h)
    BDTP_iNumSectors	dw ? ; up to 7Fh sectors
    BDTP_lpBuffer	dd ? ; ptr to buffer
ends

; define externals for functions that use these
ifndef	_I13F02
	extrn	_BiosError:byte
	extrn	_I13DODISKTRANSFER:proc
endif

ifndef	_I13F42
	extrn	_I13DOLBATRANSFER:proc
endif


; for Int 13h fn 08h (Get Drive Parameters)
BiosDriveParameters struc
    BDP_iTracks		  dw ?	; returned in CH (plus top 2 bits from CL)
    BDP_ucSectorsPerTrack db ?	; returned in CL (6 bits only)
    BDP_ucHeads		  db ?	; returned in DH
    BDP_ucNumDrives	  db ?	; returned in DL
    BDP_lpDbt		  dd ?	; ptr to Disk Base Table (floppies only)
    BDP_ucDriveType	  db ?	; drive type (floppies only)
ends
