;
;   $Id: XMSTHERE.ASM 1.4 2002/10/15 23:06:00Z peterb Exp $
;
;   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
;
;   Copyright (c) 1993 - 2002 Datalight, Inc.
;   All Rights Reserved
;
;   Datalight, Inc. is a Washington corporation with an address at
;   21520 30TH DR SE MS110 Bothell, WA, 98021
;   Tel: 800.221.6630  Fax: 425.951.8091
;   Http://www.datalight.com
;
;   This software, including without limitation all source code and
;   documentation, is the confidential, trade secret property of
;   Datalight, Inc., and is protected under the copyright laws of
;   the United States and other jurisdictions. Portions of the
;   software may also be subject to one or more the following US
;   patents: US#5860082, US#6260156.
;
;   In addition to civil penalties for infringement of copyright
;   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
;   penalties for violation of (a) the restrictions on circumvention
;   of copyright protection systems found in 17 U.S.C. 1201 and
;   (b) the protections for the integrity of copyright management
;   information found in 17 U.S.C. 1202.
;
;   U.S. Government Restricted Rights. Use, duplication,
;   reproduction, or transfer of this commercial product and
;   accompanying documentation is restricted in accordance with
;   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
;
;   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
;   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
;   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
;   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
;   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
;   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
;   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
;   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
;   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
;   THIS SOFTWARE IN ERROR.
;
comment ~

  XMSTHERE.ASM  Created 10-25-97 by Dennis Edwards

  Copyright (c) 1997-2002 Datalight, Inc.
  All Rights Reserved.
  Datalight Confidential and Proprietary

  XMSLIBx -- Low level XMS 2.0 function library source module
  This module implements the function (DLXMSLIB.H):

  int CheckXMMInstalled(void);

end_comment ~
;
; use the /i switch on the assembler command line to specify
; the include path if these files are not in the current dir
;
include datalght.inc

; MEMMODEL is assumed to be defined using a /D argument on the
; assembler command line.
;
; Establish segment model, calling conventions, etc.
;
InitModel %MEMMODEL, pascal, use16


; internal include module for XMSLIBx.LIB
;
include _xmslib.inc


.Data
	public	lpXMMEntry
	public	XMMEntrySegm
lpXMMEntry	label 	dword
	XMMEntryOffs 	dw	0
	XMMEntrySegm 	dw	0

.Code
if @DataSize
	assume	cs:@curseg, ds:nothing, es:nothing, ss:nothing
else
	assume	cs:@curseg, ds:@data, es:nothing, ss:nothing
endif


comment ~
int PASCAL CheckXMMInstalled(void)
end_comment ~

ProcBegin	CHECKXMMINSTALLED,public
if @DataSize
ProcUses	ds,es,bx
else
ProcUses	es,bx
endif
ProcSetup

if @DataSize
	mov	ax, @Data
	mov	ds, ax
	assume  ds: @Data
endif

	CHECK_XMM_LINKAGE
	jz	@@FindXMM
	inc	ax
	jmp	@@done

    @@FindXMM:
	mov	ax, 4300h			; Test for XMM
	int	2Fh
	cmp	al, 80h
	mov	ax, 0
	jne	@@done

	mov	ax, 4310h			; Get Control Function
	int	2Fh
	mov	word ptr [lpXMMEntry], bx
	mov	word ptr [lpXMMEntry+2], es
	mov	ax, 1				; return XMS_SUCCESS

    @@done:
	RETURN_XMS_STATUS
ProcEnd

	end


