REM
REM   $Id: MK_DEMO.BAT 1.4 2002/10/16 15:54:28Z peterb Exp $
REM
REM   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
REM
REM   Copyright (c) 1993 - 2002 Datalight, Inc.
REM   All Rights Reserved
REM
REM   Datalight, Inc. is a Washington corporation with an address at
REM   21520 30TH DR SE MS110 Bothell, WA, 98021
REM   Tel: 800.221.6630  Fax: 425.951.8091
REM   Http://www.datalight.com
REM
REM   This software, including without limitation all source code and
REM   documentation, is the confidential, trade secret property of
REM   Datalight, Inc., and is protected under the copyright laws of
REM   the United States and other jurisdictions. Portions of the
REM   software may also be subject to one or more the following US
REM   patents: US#5860082, US#6260156.
REM
REM   In addition to civil penalties for infringement of copyright
REM   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
REM   penalties for violation of (a) the restrictions on circumvention
REM   of copyright protection systems found in 17 U.S.C. 1201 and
REM   (b) the protections for the integrity of copyright management
REM   information found in 17 U.S.C. 1202.
REM
REM   U.S. Government Restricted Rights. Use, duplication,
REM   reproduction, or transfer of this commercial product and
REM   accompanying documentation is restricted in accordance with
REM   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
REM
REM   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
REM   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
REM   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
REM   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
REM   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
REM   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
REM   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
REM   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
REM   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
REM   THIS SOFTWARE IN ERROR.
REM
@Echo Off
REM
REM  MK_DEMO.BAT
REM
REM  ROM-DOS Copyright (c) 1989-2002 Datalight, Inc.
REM  Datalight Proprietary and Confidential.
REM  All Rights Reserved.
REM



if %1_ == MSC_ goto MSC
if %1_ == msc_ goto MSC
if %1_ == TC_  goto TC
if %1_ == tc_  goto TC
echo MK_DEMO  RXE Demo Building Utility
Echo Usage:
Echo 	MK_DEMO TC   - For build RXE demo with Borlands Turbo-C
Echo 	MK_DEMO MSC  - For build RXE demo with Microsoft C
goto exit


:MSC
cl /c rxe_demo.c
if errorlevel 1 goto error

masm /Mx rxe_init.asm;
if errorlevel 1 goto error

cl /Fm rxe_demo.obj rxe_init.obj
if errorlevel 1 goto error

rxe_cvt rxe_demo data 1000
if errorlevel 1 goto error

Echo Successfully build RXE_DEMO using Microsoft C
goto exit

:TC

tcc -c rxe_demo.c

tasm /Mx rxe_dasm.asm

tcc -lM rxe_demo.obj rxe_dasm.obj

rxe_cvt rxe_demo data 1000

Echo Successfully build RXE_DEMO using Turbo-C C
goto exit

:error
Echo Failed to build RXE_DEMO
:exit

