//
//   $Id: RXE-TST.C 1.4 2002/10/16 15:53:20Z peterb Exp $
//
//   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
//
//   Copyright (c) 1993 - 2002 Datalight, Inc.
//   All Rights Reserved
//
//   Datalight, Inc. is a Washington corporation with an address at
//   21520 30TH DR SE MS110 Bothell, WA, 98021
//   Tel: 800.221.6630  Fax: 425.951.8091
//   Http://www.datalight.com
//
//   This software, including without limitation all source code and
//   documentation, is the confidential, trade secret property of
//   Datalight, Inc., and is protected under the copyright laws of
//   the United States and other jurisdictions. Portions of the
//   software may also be subject to one or more the following US
//   patents: US#5860082, US#6260156.
//
//   In addition to civil penalties for infringement of copyright
//   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
//   penalties for violation of (a) the restrictions on circumvention
//   of copyright protection systems found in 17 U.S.C. 1201 and
//   (b) the protections for the integrity of copyright management
//   information found in 17 U.S.C. 1202.
//
//   U.S. Government Restricted Rights. Use, duplication,
//   reproduction, or transfer of this commercial product and
//   accompanying documentation is restricted in accordance with
//   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
//
//   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
//   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
//   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
//   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
//   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
//   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
//   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
//   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
//   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
//   THIS SOFTWARE IN ERROR.
//
/*
	Copyright (c) 1989-2002 Datalight, Inc.
	All Rights Reserved.
	Datalight Confidential and Proprietary
*/
// 26APR96 - Modified typo in printf statement that printed out
//      offset of MSG incorrectly

// Got working code on Chassis using far*assignments and printing
//      using these far ptrs

// Next, got rid of any references to far data and their declarations
//   compiled in large mem model
//   got rid of ptr assignments
//   Program worked!

#include <stdio.h>
#include <string.h>

char far FARDATA1[0x800]="FARDATA1";
char far FARDATA2[0x800]="FARDATA2";
char MSG[]="Hello World";

void main (void) {

        char far * msgptr=MSG;
        char far * fardata1ptr=FARDATA1;
        char far * fardata2ptr=FARDATA2;

	int msgseg, msgoff, data1seg, data1off,data2seg, data2off;

/* ------------------------------------------------------------------ */
/*                Print Addresses of Messages                         */
/* ------------------------------------------------------------------ */
    // Load addresses for printing
    	//segments
    	__asm {
                mov ax,SEG FARDATA1
                mov data1seg,ax
                mov ax,SEG FARDATA2
                mov data2seg,ax
    		  mov ax,SEG MSG
    	 	  mov msgseg,ax
    		}

    	//offsets
    	__asm {
                mov ax,OFFSET FARDATA1
                mov data1off,ax
                mov ax,OFFSET FARDATA2
                mov data2off,ax
    	    	  mov ax,OFFSET MSG
    	         mov msgoff,ax
    		}

	// Print Addresses of messages
        printf ("\nMSG = %04x:%04x\n",msgseg,msgoff);
        printf ("FARDATA1 = %04x:%04x\n",data1seg,data1off);
        printf ("FARDATA2 = %04x:%04x\n\n",data2seg,data2off);

/* ------------------------------------------------------------------ */
/*                     Print Messages                                 */
/* ------------------------------------------------------------------ */
        // The last 2 printed out (NULL) followed by invlid ptr (XXXXSSSS, X=garbage S=Segment)
	 // printf ("%s %08lx \n",MSG,msgptr);
        // printf ("%s %08lx\n",FARDATA1,fardata1ptr);
        // printf ("%s %08lx\n",FARDATA2,fardata2ptr);

        // Fardata for last 2 statements below display (NULL) and an invalid pointer #
        printf ("%s %08lx \n",MSG,MSG);
        printf ("%s %08lx\n",FARDATA1,FARDATA1);
        printf ("%s %08lx\n",FARDATA2,FARDATA2);

        // This works!
        printf ("%s %08lx \n",msgptr,msgptr);
        printf ("%s %08lx\n",fardata1ptr,fardata1ptr);
        printf ("%s %08lx\n",fardata2ptr,fardata2ptr);
}/* END MAIN */
