REM
REM   $Id: MAKEALL.BAT 1.2 2002/10/16 16:27:00Z peterb Exp $
REM
REM   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
REM
REM   Copyright (c) 1993 - 2002 Datalight, Inc.
REM   All Rights Reserved
REM
REM   Datalight, Inc. is a Washington corporation with an address at
REM   21520 30TH DR SE MS110 Bothell, WA, 98021
REM   Tel: 800.221.6630  Fax: 425.951.8091
REM   Http://www.datalight.com
REM
REM   This software, including without limitation all source code and
REM   documentation, is the confidential, trade secret property of
REM   Datalight, Inc., and is protected under the copyright laws of
REM   the United States and other jurisdictions. Portions of the
REM   software may also be subject to one or more the following US
REM   patents: US#5860082, US#6260156.
REM
REM   In addition to civil penalties for infringement of copyright
REM   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
REM   penalties for violation of (a) the restrictions on circumvention
REM   of copyright protection systems found in 17 U.S.C. 1201 and
REM   (b) the protections for the integrity of copyright management
REM   information found in 17 U.S.C. 1202.
REM
REM   U.S. Government Restricted Rights. Use, duplication,
REM   reproduction, or transfer of this commercial product and
REM   accompanying documentation is restricted in accordance with
REM   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
REM
REM   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
REM   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
REM   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
REM   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
REM   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
REM   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
REM   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
REM   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
REM   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
REM   THIS SOFTWARE IN ERROR.
REM
@if "%echo%" == "" set echo=on
@echo %echo%

REM -----------------------------------------------------------------
REM SOCKETS project "make all" batch file
REM
REM 02/16/01 rk  Added to SOCKETS project
REM -----------------------------------------------------------------

REM init flag to assume no error is going to happen
set BUILDERR=

REM init flag to assume a normal manual build
set AUTOBUILD=0

if "%1" == "/?" goto syntax

if not "%1" == "/auto" goto paramsdone
set AUTOBUILD=1
shift

:paramsdone

REM disable VMM, if active
bin\novmm

REM env var BCROOT must point to Borland C 4.5 directory
if "%BCROOT%" == "" goto bcrootErr

REM Building CFLAGS.CFG on the fly
echo -w -v -y -M -3 -DDEBUG=0 -DSTRICT=1   >include\cflags.cfg
echo -I..\include;%bcroot%\include        >>include\cflags.cfg

REM Building CFLAGSD.CFG on the fly
echo -w -v -y -M -3 -DDEBUG=1 -DSTRICT=1   >include\cflagsd.cfg
echo -I..\include;%bcroot%\include        >>include\cflagsd.cfg

REM must have DOS, DEMODOS, WIN, and DEMOWIN dirs before continuing
if not exist dos\nul            md dos
if not exist demodos\nul        md demodos
if not exist win\nul            md win
if not exist demowin\nul        md demowin

REM Build UTILS
cd utils
make %1 %2 %3 %4 %5 %6 %7 %8 %9        >..\buildlog.txt
cd ..

REM build MAIL applications
echo Building COMM driver...
cd comm
make %1 %2 %3 %4 %5 %6 %7 %8 %9       >>..\buildlog.txt
cd ..


goto fini

:bcrootErr
echo Must set BCROOT environment variable
echo.

:errorExit
REM pause if any error occurred (if not autobuilding)
if "%autobuild%" == "0" pause
REM set a flag that an error occurred
set builderr=1
goto fini

:fini
set AUTOBUILD=
