#
#   $Id: rccli.mak 1.6 2003/08/05 13:51:38Z johnb Exp $
#
#   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
#
#   Copyright (c) 1993 - 2002 Datalight, Inc.
#   All Rights Reserved
#
#   Datalight, Inc. is a Washington corporation with an address at
#   21520 30TH DR SE MS110 Bothell, WA, 98021
#   Tel: 800.221.6630  Fax: 425.951.8091
#   Http://www.datalight.com
#
#   This software, including without limitation all source code and
#   documentation, is the confidential, trade secret property of
#   Datalight, Inc., and is protected under the copyright laws of
#   the United States and other jurisdictions. Portions of the
#   software may also be subject to one or more the following US
#   patents: US#5860082, US#6260156.
#
#   In addition to civil penalties for infringement of copyright
#   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
#   penalties for violation of (a) the restrictions on circumvention
#   of copyright protection systems found in 17 U.S.C. 1201 and
#   (b) the protections for the integrity of copyright management
#   information found in 17 U.S.C. 1202.
#
#   U.S. Government Restricted Rights. Use, duplication,
#   reproduction, or transfer of this commercial product and
#   accompanying documentation is restricted in accordance with
#   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
#
#   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
#   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
#   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
#   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
#   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
#   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
#   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
#   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
#   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
#   THIS SOFTWARE IN ERROR.
#
#####################################################################
#
# MAKEFILE      Created 03/22/2001 by JMB
# Copyright (c) 1996-2001 Datalight, Inc.
# Confidential and Proprietary
# All Rights Reserved
#
# $DOCHISTORY
#  04/17/2003 jmb added updates from GPvNO to include capi library and 
#                 new Advanced TCP/IP API.
#  06/21/2001 jmb added cleanall target
#  04/30/2001 jmb added ROMDOS INCLUDE to the include search path and pathed to
#                 ROMDOS libraries.
#  03/22/2001 jmb created
#
#####################################################################

#
# DL_ROOT is an environment variable that must define the root of
# the directory tree from which all Datalight development proceeds.
#
CFLAGS = -w3 -I..\..\include;..\..\..\include -DDL

release : rccli.exe
	@if exist ..\rccli.exe del ..\rccli.exe >nul
	@copy *.exe .. >nul

rccli.exe: rccli.c getkey.c
	@bcc $(CFLAGS) @&&|
        rccli.c getkey.c 
        ..\..\..\lib\dls.lib 
        ..\..\lib\capis.lib 
        ..\..\lib\sockets.lib
|


clean :
	@echo Cleaning RCCLI
	@if exist *.obj DEL *.obj >nul

cleanall: clean
	@if exist rccli.exe DEL rccli.exe >nul
