//
//   $Id: BUMPDEFS.H 1.3 2002/10/16 16:40:06Z peterb Exp $
//
//   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
//
//   Copyright (c) 1993 - 2002 Datalight, Inc.
//   All Rights Reserved
//
//   Datalight, Inc. is a Washington corporation with an address at
//   21520 30TH DR SE MS110 Bothell, WA, 98021
//   Tel: 800.221.6630  Fax: 425.951.8091
//   Http://www.datalight.com
//
//   This software, including without limitation all source code and
//   documentation, is the confidential, trade secret property of
//   Datalight, Inc., and is protected under the copyright laws of
//   the United States and other jurisdictions. Portions of the
//   software may also be subject to one or more the following US
//   patents: US#5860082, US#6260156.
//
//   In addition to civil penalties for infringement of copyright
//   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
//   penalties for violation of (a) the restrictions on circumvention
//   of copyright protection systems found in 17 U.S.C. 1201 and
//   (b) the protections for the integrity of copyright management
//   information found in 17 U.S.C. 1202.
//
//   U.S. Government Restricted Rights. Use, duplication,
//   reproduction, or transfer of this commercial product and
//   accompanying documentation is restricted in accordance with
//   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
//
//   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
//   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
//   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
//   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
//   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
//   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
//   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
//   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
//   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
//   THIS SOFTWARE IN ERROR.
//
// Product definition file
// 2002-03-01 gvn Added HTTPD flag

#define P_INET				0x80000000L
#define P_RINET			0x40000000L
#define P_WINET			0x20000000L
#define P_VT100			0x10000000L
#define P_TN3270			0x08000000L
#define P_D211				0x04000000L
#define P_HP				0x02000000L
#define P_FtpServer		0x01000000L
#define P_Ftp				0x00800000L
#define P_PrintServer	0x00400000L
#define P_PrintClient	0x00200000L
#define P_HttpServer		0x00100000L
#define P_Ping				0x00080000L
#define P_Mail     		0x00040000L
#define P_Lpd				0x00020000L
#define P_Lpr				0x00010000L
#define P_Uts60			0x00008000L

#define USER_QUIT			1
#define BUMP_SIZE			2
#define WRONG_WIPE		3
#define TAMPERED_COPY	4
#define TAMPERED_BUMP	5
#define TAMPERED_WIPE	6
#define READERR_WIPE		7
#define READERR_BUMP		8
#define DONE_ALREADY		9
#define UPDATE_SUCCESS	10
#define UPDATE_FAILED	11
#define MISSING_WIPE		12

