;
;   $Id: PCG.ASM 1.2 2002/10/16 16:43:04Z peterb Exp $
;
;   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
;
;   Copyright (c) 1993 - 2002 Datalight, Inc.
;   All Rights Reserved
;
;   Datalight, Inc. is a Washington corporation with an address at
;   21520 30TH DR SE MS110 Bothell, WA, 98021
;   Tel: 800.221.6630  Fax: 425.951.8091
;   Http://www.datalight.com
;
;   This software, including without limitation all source code and
;   documentation, is the confidential, trade secret property of
;   Datalight, Inc., and is protected under the copyright laws of
;   the United States and other jurisdictions. Portions of the
;   software may also be subject to one or more the following US
;   patents: US#5860082, US#6260156.
;
;   In addition to civil penalties for infringement of copyright
;   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
;   penalties for violation of (a) the restrictions on circumvention
;   of copyright protection systems found in 17 U.S.C. 1201 and
;   (b) the protections for the integrity of copyright management
;   information found in 17 U.S.C. 1202.
;
;   U.S. Government Restricted Rights. Use, duplication,
;   reproduction, or transfer of this commercial product and
;   accompanying documentation is restricted in accordance with
;   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
;
;   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
;   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
;   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
;   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
;   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
;   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
;   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
;   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
;   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
;   THIS SOFTWARE IN ERROR.
;
_TEXT	segment	byte public 'CODE'
DGROUP	group	_DATA,_BSS
	assume	cs:_TEXT,ds:DGROUP,ss:DGROUP
_TEXT	ends
_DATA	segment word public 'DATA'
d@	label	byte
d@w	label	word
_DATA	ends
_BSS	segment word public 'BSS'
b@	label	byte
b@w	label	word
_BSS	ends
_TEXT	segment	byte public 'CODE'
;/* 	Hardware specific routines - pcg.c
;Updated @ Date 27 November 1995, 22:2 by Gerrit van Niekerk
;*/
;
;#pragma inline
;#include <dos.h>
;
;/*
;; Internet checksum subroutine
;; Compute 1's-complement sum of data buffer
;; Uses an unwound loop inspired by "Duff's Device" for performance
;*/
;
;unsigned short lcsum(unsigned *buf,unsigned cnt)
_lcsum	proc far
	push	bp
	mov	bp,sp
	push	si
;{
;	asm push ds		;/* save if using large model */
;	asm push si		;/* */
;	asm lds	si,buf		;/* ds:si = buf */
 	mov		si,[bp+6]
;	asm mov	cx,cnt		;/* cx = cnt */
 	mov		cx,[bp+8]
;	asm cld			;/* autoincrement si */
 	cld
;
;	asm mov	ax,cx		;/* */
 	mov		ax,cx
;	asm shr	cx,1		;/* cx /= 16, number of loop iterations */
 	shr		cx,1
;	asm shr	cx,1		;/* */
 	shr		cx,1
;	asm shr	cx,1		;/* */
 	shr		cx,1
;	asm shr	cx,1		;/* */
 	shr		cx,1
;
;	asm inc	cx		;/* make fencepost adjustment for 1st pass */
 	inc		cx		
;	asm and	ax,15		;/* ax = number of words modulo 16 */
 	and		ax,15		
;	asm shl	ax,1		;/* *=2 for word table index */
 	shl		ax,1		
;	asm lea	bx,jtable	;/* bx -> branch table */
 	lea		bx,jtable	
;	asm add	bx,ax		;/* index into jump table */
 	add		bx,ax		
;	asm clc			;/* initialize carry = 0 */
 	clc				
;	asm mov	dx,0		;/* clear accumulated sum */
 	mov		dx,0		
;	asm jmp	word ptr[bx]	;/* jump into loop */
 	jmp		cs:word ptr[bx]	
@16:
jtable:
;	asm dw	l0,l1,l2,l3,l4,l5,l6,l7,l8,l9,l10,l11,l12,l13,l14,l15;/* */
 	dw		l0,l1,l2,l3,l4,l5,l6,l7,l8,l9,l10,l11,l12,l13,l14,l15
@17:
;/*
;; Here the real work gets done. The numeric labels on the lodsw instructions
;; are the targets for the indirect jump we just made.
;;
;; Each label corresponds to a possible remainder of (count / 16), while
;; the number of times around the loop is determined by the quotient.
;;
;; The loop iteration count in cx has been incremented by one to adjust for
;; the first pass.
;*/
;deloop:
;	asm lodsw		;/* */
 	lodsw			
;	asm adc	dx,ax		;/* */
 	adc		dx,ax		
@18:
l15:
;	asm lodsw		;/* */
 	lodsw			
;	asm adc	dx,ax		;/* */
 	adc		dx,ax		
@19:
l14:
;	asm lodsw		;/* */
 	lodsw			
;	asm adc	dx,ax		;/* */
 	adc		dx,ax		
@20:
l13:
;	asm lodsw		;/* */
 	lodsw			
;	asm adc	dx,ax		;/* */
 	adc		dx,ax		
@21:
l12:
;	asm lodsw		;/* */
 	lodsw			
;	asm adc	dx,ax		;/* */
 	adc		dx,ax		
@22:
l11:
;	asm lodsw		;/* */
 	lodsw			
;	asm adc	dx,ax		;/* */
 	adc		dx,ax		
@23:
l10:
;	asm lodsw		;/* */
 	lodsw			
;	asm adc	dx,ax		;/* */
 	adc		dx,ax		
@24:
l9:
;	asm lodsw		;/* */
 	lodsw			
;	asm adc	dx,ax		;/* */
 	adc		dx,ax		
@25:
l8:
;	asm lodsw		;/* */
 	lodsw			
;	asm adc	dx,ax		;/* */
 	adc		dx,ax		
@26:
l7:
;	asm lodsw		;/* */
 	lodsw			
;	asm adc	dx,ax		;/* */
 	adc		dx,ax		
@27:
l6:
;	asm lodsw		;/* */
 	lodsw			
;	asm adc	dx,ax		;/* */
 	adc		dx,ax		
@28:
l5:
;	asm lodsw		;/* */
 	lodsw			
;	asm adc	dx,ax		;/* */
 	adc		dx,ax		
@29:
l4:
;	asm lodsw		;/* */
 	lodsw			
;	asm adc	dx,ax		;/* */
 	adc		dx,ax		
@30:
l3:
;	asm lodsw		;/* */
 	lodsw			
;	asm adc	dx,ax		;/* */
 	adc		dx,ax		
@31:
l2:
;	asm lodsw		;/* */
 	lodsw			
;	asm adc	dx,ax		;/* */
 	adc		dx,ax		
@32:
l1:
;	asm lodsw		;/* */
 	lodsw			
;	asm adc	dx,ax		;/* */
 	adc		dx,ax		
@33:
l0:
;	asm loop deloop		;/* :-) */
 	loop	 @17		
;
;	asm adc	dx,0		;/* get last carries */
 	adc		dx,0		
;	asm adc	dx,0		;/* */
 	adc		dx,0		
;	asm mov	ax,dx		;/* result into ax */
 	mov		ax,dx		
;	asm xchg al,ah		;/* byte swap result (8088 is little-endian) */
 	xchg	 al,ah		
;	asm pop	si		;/* */
;	asm pop	ds		;/* all done */
;	return (_AX);
	jmp	short @15
@15:
;}
	pop	si
	pop	bp
	ret
_lcsum	endp
;
_TEXT	ends
_BSS	segment word public 'BSS'
_BSS	ends
_DATA	segment word public 'DATA'
s@	label	byte
_DATA	ends
_TEXT	segment	byte public 'CODE'
_TEXT	ends
	public	_lcsum
	end
