;
;   $Id: INT1302.ASM 1.3 2002/10/16 21:39:42Z peterb Exp $
;
;   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
;
;   Copyright (c) 1993 - 2002 Datalight, Inc.
;   All Rights Reserved
;
;   Datalight, Inc. is a Washington corporation with an address at
;   21520 30TH DR SE MS110 Bothell, WA, 98021
;   Tel: 800.221.6630  Fax: 425.951.8091
;   Http://www.datalight.com
;
;   This software, including without limitation all source code and
;   documentation, is the confidential, trade secret property of
;   Datalight, Inc., and is protected under the copyright laws of
;   the United States and other jurisdictions. Portions of the
;   software may also be subject to one or more the following US
;   patents: US#5860082, US#6260156.
;
;   In addition to civil penalties for infringement of copyright
;   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
;   penalties for violation of (a) the restrictions on circumvention
;   of copyright protection systems found in 17 U.S.C. 1201 and
;   (b) the protections for the integrity of copyright management
;   information found in 17 U.S.C. 1202.
;
;   U.S. Government Restricted Rights. Use, duplication,
;   reproduction, or transfer of this commercial product and
;   accompanying documentation is restricted in accordance with
;   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
;
;   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
;   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
;   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
;   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
;   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
;   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
;   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
;   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
;   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
;   THIS SOFTWARE IN ERROR.
;
;---------------------------------------------------------------------------
;  $DOCMODULE:INT1302.ASM
;
;  Copyright (c) 2001-2002 Datalight, Inc.
;  All Rights Reserved.
;  Datalight Confidential and Proprietary.
;
;  $DOCHISTORY
;  06/30/2001 bt  Created
;---------------------------------------------------------------------------
include datalght.inc

InitModel %MEMMODEL, pascal, use16

.code

	extrn _lpOldInt13Handler:dword



comment ~
unsigned PASCAL CHSReadWrite( bool fIsRead, uchar ucBIOSDriveNumber,
	unsigned uCylinder, uchar ucHead, uchar ucSector,
	char far * lpucData, uchar ucSectorsToRead,
	unsigned * puSectorsRead )
{}
~
ProcBegin	CHSReadWrite, public
IF @DataSize
ProcUses	ds,es,bx
ELSE
ProcUses	es,bx
ENDIF
ProcArgs	fIsRead:byte,ucBIOSDriveNumber:byte,uCylinder:word,ucHead:byte,ucSector:byte,lpucData:DWORD,ucSectorsToRead:byte,puSectorsRead:PTR
ProcSetup

		mov	ah, 2
		cmp	fIsRead, 0
		jnz	IsRead
		inc	ah

	IsRead:

		mov	al, ucSectorsToRead
		mov	cx, uCylinder
		shl	ch, 6
		xchg	ch,cl
		or	cl, ucSector
		mov	dh, ucHead
		mov	dl, ucBIOSDriveNumber
		les	bx, lpucData

		pushf
		call	_lpOldInt13Handler

		pushf
		LPTR_DS	bx, puSectorsRead
		popf
		jc	Error
		mov	[bx], ax
		xor	ax, ax
		jmp	short Done

	Error:

		xor	cx, cx
		mov	[bx], cx

	Done:

ProcEnd

	End
