//
//   $Id: BIOS.H 1.4 2002/10/16 21:42:38Z peterb Exp $
//
//   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
//
//   Copyright (c) 1993 - 2002 Datalight, Inc.
//   All Rights Reserved
//
//   Datalight, Inc. is a Washington corporation with an address at
//   21520 30TH DR SE MS110 Bothell, WA, 98021
//   Tel: 800.221.6630  Fax: 425.951.8091
//   Http://www.datalight.com
//
//   This software, including without limitation all source code and
//   documentation, is the confidential, trade secret property of
//   Datalight, Inc., and is protected under the copyright laws of
//   the United States and other jurisdictions. Portions of the
//   software may also be subject to one or more the following US
//   patents: US#5860082, US#6260156.
//
//   In addition to civil penalties for infringement of copyright
//   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
//   penalties for violation of (a) the restrictions on circumvention
//   of copyright protection systems found in 17 U.S.C. 1201 and
//   (b) the protections for the integrity of copyright management
//   information found in 17 U.S.C. 1202.
//
//   U.S. Government Restricted Rights. Use, duplication,
//   reproduction, or transfer of this commercial product and
//   accompanying documentation is restricted in accordance with
//   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
//
//   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
//   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
//   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
//   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
//   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
//   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
//   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
//   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
//   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
//   THIS SOFTWARE IN ERROR.
//
/*
   Copyright (c) 1989-2002 Datalight, Inc.
   All Rights Reserved.
   Datalight Confidential and Proprietary
*/
#ifndef BIOS_H
#define BIOS_H

/*** In-Line Routines ***/
#define bell() bdos(6,7)
#define ctrl(c) c-'@'

/* Define common control keys */
#define TAB '\t'
#define BS  8
#define LF  '\n'
#define CR  '\r'
#define ESC  27
#define BREAK 255

/* Define some more keys */
#define F1       171
#define Shift_F1 196
#define Ctrl_F1  206
#define Alt_F1   216
#define Alt_1    232
#define Alt_0    241
#define Alt_Q    128
#define Alt_A    142
#define Alt_Z    156

/* Define the Cursor Keys */
#define Home  183
#define Up    184
#define PgUp  185
#define Left  187
#define Right 189
#define End   191
#define Down  192
#define PgDn  193
#define Ins   194
#define Del   195

#define Ctrl_Home  231
#define Ctrl_End   229
#define Ctrl_PgUp  244
#define Ctrl_PgDn  230
#define Ctrl_Left  227
#define Ctrl_Right 228

/* Some Screen Defines */
#define MONO  0xB000
#define COLOR 0xB800
#endif
