//
//   $Id: COLORS.H 1.2 2002/10/16 21:54:04Z peterb Exp $
//
//   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
//
//   Copyright (c) 1993 - 2002 Datalight, Inc.
//   All Rights Reserved
//
//   Datalight, Inc. is a Washington corporation with an address at
//   21520 30TH DR SE MS110 Bothell, WA, 98021
//   Tel: 800.221.6630  Fax: 425.951.8091
//   Http://www.datalight.com
//
//   This software, including without limitation all source code and
//   documentation, is the confidential, trade secret property of
//   Datalight, Inc., and is protected under the copyright laws of
//   the United States and other jurisdictions. Portions of the
//   software may also be subject to one or more the following US
//   patents: US#5860082, US#6260156.
//
//   In addition to civil penalties for infringement of copyright
//   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
//   penalties for violation of (a) the restrictions on circumvention
//   of copyright protection systems found in 17 U.S.C. 1201 and
//   (b) the protections for the integrity of copyright management
//   information found in 17 U.S.C. 1202.
//
//   U.S. Government Restricted Rights. Use, duplication,
//   reproduction, or transfer of this commercial product and
//   accompanying documentation is restricted in accordance with
//   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
//
//   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
//   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
//   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
//   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
//   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
//   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
//   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
//   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
//   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
//   THIS SOFTWARE IN ERROR.
//

/*
        C O L O R S . H  --  c o l o r   d e f i n i t i o n   f i l e
            Mike Dumdei,  6 Holly Lane,  Texarkana TX  75503
*/

#define CO80    3
#define BW80    2
#define MONO    7

#define BLK     0x00
#define BLU     0x01
#define GRN     0x02
#define CYN     0x03
#define RED     0x04
#define MAG     0x05
#define BRN     0x06
#define WHT     0x07
#define GRY     0x08
#define H_BLU   0x09
#define H_GRN   0x0a
#define H_CYN   0x0b
#define H_RED   0x0c
#define H_MAG   0x0d
#define YLW     0x0e
#define H_WHT   0x0f

#define BLK_B   0x00
#define BLU_B   0x10
#define GRN_B   0x20
#define CYN_B   0x30
#define RED_B   0x40
#define MAG_B   0x50
#define BRN_B   0x60
#define WHT_B   0x70

#define BLNK    0x80

#define NRML    0x07
#define INTN    0x0f
#define UNDL    0x01
#define H_UNDL  0x09
#define RVRS    0x70

