//
//   $Id: MOVEMSG.H 1.5 2002/10/16 21:55:48Z peterb Exp $
//
//   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
//
//   Copyright (c) 1993 - 2002 Datalight, Inc.
//   All Rights Reserved
//
//   Datalight, Inc. is a Washington corporation with an address at
//   21520 30TH DR SE MS110 Bothell, WA, 98021
//   Tel: 800.221.6630  Fax: 425.951.8091
//   Http://www.datalight.com
//
//   This software, including without limitation all source code and
//   documentation, is the confidential, trade secret property of
//   Datalight, Inc., and is protected under the copyright laws of
//   the United States and other jurisdictions. Portions of the
//   software may also be subject to one or more the following US
//   patents: US#5860082, US#6260156.
//
//   In addition to civil penalties for infringement of copyright
//   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
//   penalties for violation of (a) the restrictions on circumvention
//   of copyright protection systems found in 17 U.S.C. 1201 and
//   (b) the protections for the integrity of copyright management
//   information found in 17 U.S.C. 1202.
//
//   U.S. Government Restricted Rights. Use, duplication,
//   reproduction, or transfer of this commercial product and
//   accompanying documentation is restricted in accordance with
//   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
//
//   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
//   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
//   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
//   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
//   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
//   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
//   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
//   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
//   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
//   THIS SOFTWARE IN ERROR.
//
//
// MOVEMSG.H Created 05-05-97 Dennis Edwards
// Message text for MOVE.EXE
//
// Copyright (c) 1989-2002 Datalight, Inc.
// All Rights Reserved.
// Datalight Confidential and Proprietary
//

#if MOVE

char signOnMsg[]= "MOVE %s %s\n%s\n\n";
char usageMsg[] =
"USAGE = MOVE [/Y | /-Y] [drive:]oldpath,... [drive:]newpath\n\n"
"Options\n"
"   /Y             Don't prompt before creating directories\n"
"                  or over-writing files.\n"
"   /-Y            Always prompt before creating directories\n"
"                  or over-writing files.\n"
"   [drive:]path   The name(s) of the file(s) or directory\n";

char okMsg[]=           "ok";
char cannotOpenSrce[]=  "Unable to open source";
char cannotOpenDest[]=  "Unable to open destination";
char cannotWriteDest[]= "Unable to write destination";
char movingMsg[]=       "%s => %s ";
char moveStatusMsg[]=   "[%s]\n";

char makeDirPrompt[]=   "Make directory \"%s\" [%s]? ";
char overwritePrompt[]= "Overwrite \"%s\" [%s]? ";

char missingParmMsg[]=  "Required parameter missing.\n";
char alreadyExistsMsg[]="Destination already exists.\n";
char wildDestMsg[]=		"Destination cannot contain wild cards.\n";
char moveNotFoundMsg[]= "Cannot move %s - No such file or directory.\n";
char not1to1Msg[]=      "Cannot move multiple files to a single file.\n";
char badDriveMsg[]=	   "Cannot move %s - Invalid drive.\n";
char badPathMsg[]=  		"Cannot move %s - Invalid path.\n";
char couldNotMakeMsg[]= "Could not make destination directory.\n";

char szMissingParms[] = "Required parameter missing\n";

// valid indices into the yn(a) strings below
//
#define  YES   0
#define  NO    1
#define  ALL   2

char ynString[]=        "yn";
char ynaString[]=       "yna";


#define ERR_MS_1	1
#define ERR_DESTINATION_EXIST	5
#endif
