;
;   $Id: REMQUIT.ASM 1.4 2002/10/16 21:58:28Z peterb Exp $
;
;   *** DO NOT REMOVE THE FOLLOWING NOTICE ***
;
;   Copyright (c) 1993 - 2002 Datalight, Inc.
;   All Rights Reserved
;
;   Datalight, Inc. is a Washington corporation with an address at
;   21520 30TH DR SE MS110 Bothell, WA, 98021
;   Tel: 800.221.6630  Fax: 425.951.8091
;   Http://www.datalight.com
;
;   This software, including without limitation all source code and
;   documentation, is the confidential, trade secret property of
;   Datalight, Inc., and is protected under the copyright laws of
;   the United States and other jurisdictions. Portions of the
;   software may also be subject to one or more the following US
;   patents: US#5860082, US#6260156.
;
;   In addition to civil penalties for infringement of copyright
;   under applicable U.S. law, 17 U.S.C. 1204 provides criminal
;   penalties for violation of (a) the restrictions on circumvention
;   of copyright protection systems found in 17 U.S.C. 1201 and
;   (b) the protections for the integrity of copyright management
;   information found in 17 U.S.C. 1202.
;
;   U.S. Government Restricted Rights. Use, duplication,
;   reproduction, or transfer of this commercial product and
;   accompanying documentation is restricted in accordance with
;   FAR 12.212 and DFARS 227.7202 and by a License Agreement.
;
;   IN ADDITION TO COPYRIGHT AND PATENT LAW, THIS SOFTWARE IS
;   PROTECTED UNDER A SOURCE CODE AGREEMENT, NON-DISCLOSURE
;   AGREEMENT (NDA), OR SIMILAR BINDING CONTRACT BETWEEN DATALIGHT,
;   INC. AND THE LICENSEE ("BINDING AGREEMENT"). YOUR RIGHT, IF ANY,
;   TO COPY, PUBLISH, MODIFY OR OTHERWISE USE THE SOFTWARE,IS SUBJECT
;   TO THE TERMS AND CONDITIONS OF THE BINDING AGREEMENT, AND BY
;   USING THE SOFTWARE IN ANY MANNER, IN WHOLE OR IN PART, YOU AGREE
;   TO BE BOUND BY THE TERMS OF THE BINDING AGREEMENT. CONTACT
;   DATALIGHT, INC. AT THE ADDRESS SET FORTH ABOVE IF YOU OBTAINED
;   THIS SOFTWARE IN ERROR.
;
;   Copyright (c) 1991-2002 Datalight, Inc.
;   All Rights Reserved.
;   Datalight Confidential and Proprietary.

_TEXT segment byte public 'CODE'
	assume CS:_TEXT, DS:_TEXT

	ORG	100H

_astart:
	mov	AH, 9
	mov	DX, offset exitmsg
	int	21h

	; go through all drives to quit the application
	mov	BX, 1
chk_again:
	cmp	BX, 26
	ja	exit_fail
	mov	AX, 440DH
	mov	CX, 0886H
	mov	DX, offset buff86
	push	BX
	int	21H
	pop	BX
	jnc	exit_worked
	inc	BX
	jmp	chk_again

exit_worked:
	mov	AH, 9
	mov	DX, offset failmsg

	; done, terminate worked (no error)
	mov	AX, 4C00H
	int	21H

exit_fail:
	; display the fail message
	mov	AH, 9
	mov	DX, offset failmsg
	int	21H

	; done, terminate fail (error 1)
	mov	AX, 4C01H
	int	21H

buff86	DB	86H
exitmsg	DB	"Exiting REMSERV on remote machine...$"
failmsg DB	"Failed!$"
okmsg	DB	"Done$"

_TEXT	ENDS

	END	_astart
